<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - AutoTweetNG posts content to social channels (Twitter, Facebook, LinkedIn, etc).
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * BrowseView
 *
 * @package     Extly.Components
 * @subpackage  com_autotweet
 * @since       1.0
 */
class BrowseView extends FOFViewHtml
{

	/**
	 * Displays the view
	 *
	 * @param   string  $tpl  The template to use
	 *
	 * @return bool
	 */
	public function  display($tpl = null)
	{
		// Get the task set in the model
		$model = $this->getModel();
		$task = $model->getState('task', 'browse');

		// Call the relevant method
		$method_name = 'on' . ucfirst($task);
		if (method_exists($this, $method_name))
		{
			$result = $this->$method_name($tpl);
		}
		else
		{
			$result = $this->onDisplay();
		}

		if ($result === false)
		{
			return;
		}

		$toolbar = FOFToolbar::getAnInstance(FOFInput::getCmd('option', 'com_foobar', $this->input), $this->config);

		if ((AUTOTWEETNG_FREE) && (count($this->items) >= 2))
		{
			$this->perms->create = false;
		}

		$toolbar->perms = $this->perms;
		$toolbar->renderToolbar(FOFInput::getCmd('view', 'cpanel', $this->input), $task, $this->input);

		// Show the view
		$this->preRender();
		FOFView::display($tpl);
		$this->postRender();
	}

}
