<?php

/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - AutoTweetNG posts content to social channels (Twitter, Facebook, LinkedIn, etc).
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
// defined('_JEXEC') or die('Restricted access');

/**
 * starts the AutoTweet cronjob
 * Call this file form crontab.
 **/

// Make sure we're being called from the command line, not a web interface
if (array_key_exists('REQUEST_METHOD', $_SERVER))
{
	die();
}

/**
 * Helper for posts form AutoTweet to channels (twitter, Facebook, ...)
 *
 * @package     AutoTweetNG.CLI
 * @subpackage  com_autotweet
 * @since       2.5
 */
class CronjobHelper
{

	protected static $instance = null;

	protected $cron_enabled = 0;

	// Posts per job
	protected $max_posts = 1;

	/**
	 * Run the job
	 *
	 * @since   2.5
	 */
	protected function CronjobHelper()
	{
		JLoader::register('PostHelper', JPATH_AUTOTWEET_HELPERS . '/post.php');

		// Cronjob params
		$this->cron_enabled = CparamsHelper::getParam('cron_enabled', false);
		$this->max_posts = CparamsHelper::getParam('max_posts', 1);

		// Wrapper for mbstrings
		// include_once dirname(__FILE__) . DIRECTORY_SEPARATOR . 'mbstringwrapper/mbstringwrapper.php';
	}

	/**
	 * getInstance
	 *
	 * @return  object
	 *
	 * @since   2.5
	 */
	public static function getInstance()
	{
		if (!self::$instance)
		{
			self::$instance = new CronjobHelper;
		}

		return self::$instance;
	}

	/**
	 * postMessages
	 *
	 * @return  void
	 *
	 * @since   2.5
	 */
	public function publishPosts()
	{
		if ($this->cron_enabled)
		{
			PostHelper::publishCronjobPosts($this->max_posts);
		}
	}

}
