<?php

/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - AutoTweetNG posts content to social channels (Twitter, Facebook, LinkedIn, etc).
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

// AutoTweet Yourls url short service.

JLoader::import('autotweetshortservice', dirname(__FILE__));

/**
 * AutotweetYourlsService
 *
 * @package     Extly.Components
 * @subpackage  com_autotweet
 * @since       1.0
 */
class AutotweetYourlsService extends AutotweetShortservice
{

	/**
	 * AutotweetYourlsService
	 *
	 * @param   array  $data  Param
	 *
	 * @since	1.5
	 */
	public function AutotweetYourlsService($data)
	{
		parent::__construct($data);

	}

	/**
	 * getShortURL
	 *
	 * @param   string  $long_url  Param.
	 *
	 * @return	string
	 *
	 * @since	1.0
	 */
	public function getShortURL($long_url)
	{
		$enc_url = urlencode($long_url);
		$service_call = $this->data['yourls_host'] . '/yourls-api.php?signature=' . $this->data['yourls_token'] . '&action=shorturl&url=' . $enc_url . '&format=json';

		$result = $this->callComplexService($service_call);
		$result_code = $result[0];
		$js = $result[1];

		if ((200 != $result_code) || ('success' != $js->status) || !isset($js->shorturl))
		{
			$short_url = '';
			$this->error_msg = $js->message;
		}
		else
		{
			$short_url = $js->shorturl;
		}

		return $short_url;
	}

}
