<?php

/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - AutoTweetNG posts content to social channels (Twitter, Facebook, LinkedIn, etc).
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * Autotweet Model for info dialog.
 **/

jimport('joomla.application.component.model');

/**
 * AutotweetModelUpdate
 *
 * @package     Extly.Components
 * @subpackage  com_autotweet
 * @since       1.0
 */
class AutotweetModelUpdate extends FOFModel
{

	/**
	 * Constructor.
	 *
	 * @param   array  $config  An optional associative array of configuration settings.
	 *
	 * @since	1.6
	 */
	public function __construct($config = array())
	{
		require_once dirname(__FILE__) . '/../helpers/update.php';
		parent::__construct($config);
	}

	/**
	 * getComponentInfo
	 *
	 * @return	array
	 *
	 * @since	1.6
	 */
	public function getComponentInfo()
	{
		static $compdata = null;

		if (!$compdata)
		{
			$compdata = UpdateHelper::getComponentInfo();
			if (!$compdata)
			{
				$this->setError(JText::sprintf('COM_AUTOTWEET_MSG_ERROR_FILENOTFOUND', 'version information'));
				return null;
			}
		}

		return $compdata;
	}

	/**
	 * getPluginInfo
	 *
	 * @return	array
	 *
	 * @since	1.6
	 */
	public function getPluginInfo()
	{
		static $plugdata = null;

		if (!$plugdata)
		{
			$plugdata = UpdateHelper::getPluginInfo();
			if (!$plugdata)
			{
				$this->setError(JText::sprintf('COM_AUTOTWEET_MSG_ERROR_FILENOTFOUND', 'version information'));
				return null;
			}
		}

		return $plugdata;
	}

	/**
	 * getThirdpartyInfo
	 *
	 * @return	array
	 *
	 * @since	1.6
	 */
	public function getThirdpartyInfo()
	{
		static $thirdparty = null;

		if (!$thirdparty)
		{
			$thirdparty = UpdateHelper::getThirdpartyInfo();

			if (!$thirdparty)
			{
				$this->setError(JText::sprintf('COM_AUTOTWEET_MSG_ERROR_FILENOTFOUND', 'version information'));
				return null;
			}

			// Load language to get the name for unknown plugins with language support
			$jlang = JFactory::getLanguage();
			foreach ($thirdparty as $plugin)
			{
				$jlang->load($plugin['name']);
			}
		}
		return $thirdparty;
	}

}
