<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - AutoTweetNG posts content to social channels (Twitter, Facebook, LinkedIn, etc).
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$this->loadHelper('select');

JHtml::_('behavior.formvalidation');

?>

<div class="extly">
	<div class="extly-body">

		<?php echo Extly::showInvalidFormAlert(); ?>

		<form name="adminForm" id="adminForm" action="index.php" method="post" class="form form-horizontal form-validate">
			<input type="hidden" name="option" value="com_autotweet" /> <input type="hidden" name="view" value="channels" /> <input type="hidden" name="task" value="" /> <input type="hidden" name="<?php echo JFactory::getSession()->getFormToken();?>" value="1" />

			<div class="row-fluid">

				<div class="span5">

					<fieldset class="basic">

						<legend>
							<?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_SELECTCHANNEL_TITLE'); ?>
						</legend>

						<div class="control-group">
							<label for="channeltype_id" class="control-label required" rel="tooltip" data-original-title="<?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_SELECTCHANNEL_DESC'); ?>"> <?php echo
							JText::_('COM_AUTOTWEET_VIEW_TYPE_TITLE');
							?> <span class="star">&#160;*</span>
							</label>
							<div class="controls">
								<?php echo SelectHelper::channeltypes($this->item->channeltype_id, 'channeltype_id', array('class' => 'required')); ?>
							</div>
						</div>

					</fieldset>

					<fieldset class="details">

						<legend>
							<?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_CHANNELDATA_TITLE'); ?>
						</legend>

						<div class="control-group">
							<label for="name" class="control-label required"><?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_NAME_TITLE'); ?> <span class="star">&#160;*</span> </label>
							<div class="controls">
								<input type="text" name="name" id="name" value="<?php echo $this->item->name; ?>" class="required" maxlength="64" required="required" />
							</div>
						</div>

						<div class="control-group">
							<label for="description" class="control-label"><?php echo JText::_('COM_AUTOTWEET_VIEW_DESCRIPTION_TITLE'); ?> </label>
							<div class="controls">
								<textarea name="description" id="description" rows="3" cols="40" maxlength="512"><?php
									echo $this->item->description;
								?></textarea>
							</div>
						</div>

						<div class="control-group">
							<label for="published" class="control-label" rel="tooltip" data-original-title="<?php echo JText::_('JFIELD_PUBLISHED_DESC'); ?>"><?php
							echo JText::_('JSTATUS'); ?> </label>
							<div class="controls">
								<?php echo EHtmlSelect::booleanlist('published', null, $this->item->published, 'JPUBLISHED', 'JUNPUBLISHED'); ?>
							</div>
						</div>

						<div class="control-group">
							<label for="autopublish" class="control-label" rel="tooltip" data-original-title="<?php echo JText::_('COM_AUTOTWEET_VIEW_AUTOPUBLISH_DESC'); ?>"><?php
							echo JText::_('COM_AUTOTWEET_VIEW_AUTOPUBLISH_TITLE'); ?> </label>
							<div class="controls">
								<?php echo EHtmlSelect::booleanlist('autopublish', null, $this->item->autopublish, 'JON', 'JOFF'); ?>
							</div>
						</div>

						<div class="control-group">
							<label for="media_mode" class="control-label" rel="tooltip" data-original-title="<?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_MEDIAMODE_DESC'); ?>"><?php
							echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_MEDIAMODE_TITLE'); ?> </label>
							<div class="controls">
								<?php echo SelectHelper::mediamodes($this->item->media_mode, 'media_mode', null); ?>
							</div>
						</div>

						<div class="control-group">
							<label for="channel_id" class="control-label" rel="tooltip" data-original-title="<?php echo JText::_('JGLOBAL_FIELD_ID_DESC'); ?>"><?php
							echo JText::_('JGLOBAL_FIELD_ID_LABEL'); ?> </label>
							<div class="controls">
								<input type="text" name="id" id="channel_id" value="<?php echo $this->item->id; ?>" class="uneditable-input" readonly="readonly">
							</div>
						</div>

					</fieldset>

				</div>

				<div class="span7">

					<div class="row-fluid">
						<div class="span12">
							<div id="channel_data">
								<fieldset class="channel_data">
									<p style="text-align: center;">
										<span class="loaderspinner">&nbsp;</span>
									</p>
									<legend>
										<?php echo JText::_('...requesting channel data...'); ?>
									</legend>
								</fieldset>
							</div>
						</div>
					</div>

					<div class="row-fluid">
						<div class="span12">
							<hr />

							<div class="well">

								<div class="alert <?php echo $this->get('alert_style'); ?>">
									<?php echo JText::_('COM_AUTOTWEET_AUDIT_INFORMATION'); ?>
								</div>

								<dl class="dl-horizontal">
									<dt>
										<?php
										echo JText::_('COM_AUTOTWEET_CREATED_DATE');
										?>
									</dt>
									<dd>
										<?php
										echo $this->item->get('created');
										?>

										<?php
										$created = $this->item->get('created_by');
										if ($created)
										{
											echo JFactory::getUser($created)->get('username');
										}
										else
										{
											echo '-';
										}
										?>
									</dd>

									<dt>
										<?php
										echo JText::_('COM_AUTOTWEET_MODIFIED_DATE');
										?>
									</dt>
									<dd>
										<?php
										$modified = $this->item->get('modified');
										if ((int) $modified)
										{
											echo $modified;
										}
										?>

										<?php
										$modified_by = $this->item->get('modified_by');
										if ($modified_by)
										{
											echo JFactory::getUser($modified_by)->get('username');
										}
										else
										{
											echo '-';
										}
										?>
									</dd>

									<dt>
										<?php
										echo JText::_('COM_AUTOTWEET_RESULT_MESSAGE');
						?>
									</dt>
									<dd>
										<?php
						echo ($this->get('alert_message') ? $this->get('alert_message') : '-');
						?>
									</dd>
								</dl>

							</div>

						</div>
					</div>

				</div>

			</div>
		</form>
	</div>
</div>
<script type="text/javascript">

window.addEvent('domready', function() {

	document.formvalidator.setHandler('token',
			function (value) {
				regex=/^[a-zA-Z0-9][a-zA-Z0-9-]+[a-zA-Z0-9]$/;
				return regex.test(value);
			}
	);

	document.formvalidator.setHandler('facebookapp',
			function (value) {
				regex=/^http(s)?\:\/\/apps\.facebook\.com\/[a-zA-Z0-9-_]+$/;
				return regex.test(value);
			}
	);

});

</script>
