<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - AutoTweetNG posts content to social channels (Twitter, Facebook, LinkedIn, etc).
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$this->loadHelper('select');

?>
<div class="extly dashboard">
	<div class="extly-body">
		<div class="container-fluid">
			<div class="row-fluid">
				<div class="span8">
					<h1>
						<?php echo JText::_('COM_AUTOTWEET_NAME') . ' ' . VersionHelper::getFlavour(); ?>
					</h1>

					<div class="well">

						<h2>
							<?php echo JText::_('COM_AUTOTWEET_JOOCIAL_METER') ?>
						</h2>

						<h3>
							<?php echo JText::_('COM_AUTOTWEET_TITLE_REQUESTS') ?>
						</h3>

						<div class="progress">
							<?php
							if ($this->posts)
							{
							?>
							<div class="bar bar-success" style="width: <?php echo $this->p_posts; ?>%;">
								<i class="xticon-tasks"></i> -
								<a href="index.php?option=com_autotweet&view=posts">
								<?php echo JText::_('COM_AUTOTWEET_TITLE_POSTS'); ?>
								(<?php echo
								number_format($this->posts);
								?>)
								</a>
							</div>
							<?php
							}
							if ($this->requests)
							{
							?>
							<div class="bar bar-info" style="width: <?php echo $this->p_requests; ?>%;">
								<i class="xticon-calendar"></i> -
								<a href="index.php?option=com_autotweet&view=requests">
								<?php echo JText::_('COM_AUTOTWEET_TITLE_REQUESTS'); ?>
								(<?php echo
								number_format($this->requests);
								?>)
								</a>
							</div>
							<?php
							}
							?>
						</div>

						<h3>
							<?php echo JText::_('COM_AUTOTWEET_TITLE_POSTS') ?>
						</h3>

						<div class="progress">
							<?php
							if ($this->error)
							{
							?>
							<div class="bar bar-danger" style="width: <?php echo $this->p_error; ?>%;">
								<?php echo SelectHelper::getTextForEnum('error', true); ?>
								<a href="index.php?option=com_autotweet&view=posts">
								(<?php echo
								number_format($this->error);
								?>)
								</a>
							</div>
							<?php
							}
							if ($this->approve)
							{
							?>
							<div class="bar bar-warning" style="width: <?php echo $this->p_approve; ?>%;">
								<?php echo SelectHelper::getTextForEnum('approve', true); ?>
								<a href="index.php?option=com_autotweet&view=posts">
								(<?php echo
								number_format($this->approve);
								?>)
								</a>
							</div>
							<?php
							}
							if ($this->cronjob)
							{
							?>
							<div class="bar bar-info" style="width: <?php echo $this->p_cronjob; ?>%;">
								<?php echo SelectHelper::getTextForEnum('cronjob', true); ?>
								<a href="index.php?option=com_autotweet&view=posts">
								(<?php echo
								number_format($this->cronjob);
								?>)
								</a>
							</div>
							<?php
							}
							if ($this->success)
							{
							?>
							<div class="bar bar-success" style="width: <?php echo $this->p_success; ?>%;">
								<?php echo SelectHelper::getTextForEnum('success', true); ?>
								<a href="index.php?option=com_autotweet&view=posts">
								(<?php echo
								number_format($this->success);
								?>)
								</a>
							</div>
							<?php
							}
							?>
						</div>

					</div>

					<h2>
						<?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNELS_TITLE') ?>
					</h2>
					<p>
						<a href="index.php?option=com_autotweet&view=channels" class="btn btn-large">
						<img src="../media/com_autotweet/images/social_facebook_box_blue_64.png" />
						</a>

						<a href="index.php?option=com_autotweet&view=channels" class="btn btn-large">
						<img src="../media/com_autotweet/images/social_twitter_box_blue_64.png" />
						</a>

						<a href="index.php?option=com_autotweet&view=channels" class="btn btn-large">
						<img src="../media/com_autotweet/images/social_linkedin_box_blue_64.png" />
						</a>

						<a href="index.php?option=com_autotweet&view=channels" class="btn btn-large">
						<img src="../media/com_autotweet/images/mail-forward.png" />
						</a>
					</p>

					<h2>
						<?php echo JText::_('COM_AUTOTWEET_SHORTCUTS') ?>
					</h2>
					<p>
						<a href="index.php?option=com_autotweet&view=posts" class="btn btn-large"> <i class="xticon-tasks"></i> <?php echo JText::_('COM_AUTOTWEET_TITLE_POSTS') ?>
						</a>
						<a href="index.php?option=com_autotweet&view=requests" class="btn btn-large"> <i class="xticon-calendar"> </i> <?php echo JText::_('COM_AUTOTWEET_TITLE_REQUESTS') ?>
						</a>
						<a href="index.php?option=com_autotweet&view=channels" class="btn btn-large"> <i class="xticon-bullhorn"> </i> <?php echo JText::_('COM_AUTOTWEET_TITLE_CHANNELS') ?>
						</a>
						<a href="index.php?option=com_autotweet&view=rules" class="btn btn-large"> <i class="xticon-random"> </i> <?php echo JText::_('COM_AUTOTWEET_TITLE_RULES') ?>
						</a>
					</p>

					<hr />

					<p>
						For more information: <a href="http://www.extly.com/autotweetng-documentation-faq.html" target="_blank">AutoTweet Documentation</a>
					</p>
					<p>
						Support: <a href="http://support.extly.com" target="_blank">http://support.extly.com</a>
					</p>
					<ul class="footer-links">
						<li><a href="http://www.extly.com/blog.html" target="_blank">Read the Extly.com blog</a></li>
						<li><a href="http://support.extly.com" target="_blank">Submit issues</a></li>
						<li><a href="http://support.extly.com/projects/autotweet_ng_pro/issues" target="_blank">Roadmap and changelog</a></li>
					</ul>
				</div>
				<div class="span4">
					<h3>
						<?php echo JText::_('COM_AUTOTWEET_VIEW_ABOUT_SUPPORT_TITLE'); ?>
					</h3>
					<p>
						<?php echo JText::_('COM_AUTOTWEET_VIEW_ABOUT_SUPPORT_TWITTERFOLLOW'); ?>


					<div class="customsocialicons">
						<a target="_blank" href="http://twitter.com/extly"> <i class="xticon-twitter"> </i>
						</a> <a target="_blank" href="http://www.facebook.com/extly"> <i class="xticon-facebook-sign"></i>
						</a> <a target="_blank" href="http://www.linkedin.com/company/extly-com---joomla-extensions?trk=hb_tab_compy_id_2890809"> <i class="xticon-linkedin"></i>
						</a> <a target="_blank" href="https://plus.google.com/108048364795063174131"> <i class="xticon-google-plus"> </i>
						</a> <a target="_blank" href="http://pinterest.com/extly/"> <i class="xticon-pinterest"> </i>
						</a> <a target="_blank" href="https://github.com/anibalsanchez"> <i class="xticon-github"> </i>
						</a>
					</div>

					<p>
						<?php echo
						JText::sprintf('COM_AUTOTWEET_VIEW_ABOUT_SUPPORT_JEDREVIEW',
							'<a href="' . $this->comp['jed'] . '" target="_blank">Joomla! Extensions Directory: ');
							echo '</a>.';
							?>
					</p>

					<h3>
						<?php echo JText::_('COM_AUTOTWEET_VIEW_ABOUT_COMPONENTINFO_TITLE'); ?>
					</h3>

					<dl>
						<dt>
							<?php echo JText::_('COM_AUTOTWEET_VIEW_ABOUT_VERSIONINFO_NAME'); ?>
						</dt>
						<dd>
							<?php echo $this->comp['name']; ?>
						</dd>
						<dt>
							<?php echo JText::_('COM_AUTOTWEET_VIEW_ABOUT_VERSIONINFO_INSTALLED'); ?>
						</dt>
						<dd>
							<?php
							$version_client = $this->comp['client_version'];
							$version_color = null;
							$version_server = $this->comp['server_version'];
							if (version_compare($version_client, $version_server, '<'))
							{
								$version_html = '<a class="btn btn-danger" href="' .
										$this->comp['download'] . '" target="_blank">' .
										JText::_('COM_AUTOTWEET_VIEW_ABOUT_VERSIONINFO_DOWNLOAD') . '</a>';
								$version_message = $this->comp['message'];
							}
							else
							{
								$version_html = '-';
								$version_message = '-';
							}

							echo $version_client;

							?>
						</dd>
						<dt>
							<?php echo JText::_('COM_AUTOTWEET_VIEW_ABOUT_VERSIONINFO_NEWEST'); ?>
						</dt>
						<dd>
							<?php echo $version_server; ?>
						</dd>
						<dt>
							<?php echo JText::_('COM_AUTOTWEET_VIEW_ABOUT_VERSIONINFO_INFO'); ?>
						</dt>
						<dd>
							<?php echo $version_html; ?>
							<br />
							<?php echo $version_message; ?>
						</dd>
					</dl>
				</div>
			</div>
		</div>
	</div>
</div>
