<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - AutoTweetNG posts content to social channels (Twitter, Facebook, LinkedIn, etc).
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

// Load framework base classes
jimport('joomla.application.component.view');

/**
 * AutotweetViewCpanels
 *
 * @package     Extly.Components
 * @subpackage  com_autotweet
 * @since       1.0
*/
class AutotweetViewCpanels extends FOFViewHtml
{

	/**
	 * onBrowse
	 *
	 * @param   string  $tpl  Param
	 *
	 * @return	bool
	 */
	protected function onBrowse($tpl = null)
	{
		Extly::loadAwesome();

		// Load the model
		$info = FOFModel::getTmpInstance('Update', 'AutoTweetModel');

		$this->assign('comp', $info->getComponentInfo());
		$this->assign('plugins', $info->getPluginInfo());
		$this->assign('thirdparty', $info->getThirdpartyInfo());

		// 7 days = 7 * 24 * 60 * 60
		$time_intval = 604800;

		// Calculate date for interval
		$now = JFactory::getDate();
		$check_date = $now->toUnix();
		$check_date = $check_date - $time_intval;
		$check_date = JFactory::getDate($check_date);

		$postsModel = FOFModel::getTmpInstance('Posts', 'AutoTweetModel');
		$postsModel->set('after_date', $check_date->toSql());

		$postsModel->set('pubstate', 'success');
		$success = $postsModel->getTotal();

		$postsModel->reset();
		$postsModel->set('pubstate', 'error');
		$error = $postsModel->getTotal();

		$postsModel->reset();
		$postsModel->set('pubstate', 'approve');
		$approve = $postsModel->getTotal();

		$postsModel->reset();
		$postsModel->set('pubstate', 'cronjob');
		$cronjob = $postsModel->getTotal();

		$postsTotal = $success + $error + $approve + $cronjob;

		$this->assign('success', $success);
		$this->assign('error', $error);
		$this->assign('approve', $approve);
		$this->assign('cronjob', $cronjob);
		$this->assign('total', $postsTotal);

		if ($postsTotal)
		{
			$this->assign('p_success', round($success / $postsTotal * 100));
			$this->assign('p_error', round($error / $postsTotal * 100));
			$this->assign('p_approve', round($approve / $postsTotal * 100));
			$this->assign('p_cronjob', round($cronjob / $postsTotal * 100));
			$this->assign('p_total', $postsTotal);
		}
		else
		{
			$this->assign('p_success', 0);
			$this->assign('p_error', 0);
			$this->assign('p_approve', 0);
			$this->assign('p_cronjob', 0);
			$this->assign('p_total', 0);
		}

		$requestModel = FOFModel::getTmpInstance('Requests', 'AutoTweetModel');
		$requestModel->savestate(false);
		$requestModel->set('after_date', $check_date->toSql());
		$requestsTotal = $requestModel->getTotal();

		$total = $postsTotal + $requestsTotal;

		$this->assign('requests', $requestsTotal);
		$this->assign('posts', $postsTotal);

		if ($total)
		{
			$this->assign('p_requests', round($requestsTotal / $total * 100));
			$this->assign('p_posts', round($postsTotal / $total * 100));
		}
		else
		{
			$this->assign('p_requests', 0);
			$this->assign('p_posts', 0);
		}

		parent::onBrowse($tpl);
	}
}
