<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - AutoTweetNG posts content to social channels (Twitter, Facebook, LinkedIn, etc).
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$this->loadHelper('select');

$channeltypeId = $layout = FOFInput::getCmd('channeltype_id', AutotweetModelChanneltypes::TYPE_FBCHANNEL, $this->input);

$channeltypes = FOFModel::getTmpInstance('Channeltypes', 'AutoTweetModel');
$channeltype = $channeltypes->setId($channeltypeId)->getItem();

$useownapi = $this->item->xtform->get('use_own_api', 0);

$required = '';
$requiredTag = '';
$requiredToken = '';
$requiredId = '';
$requiredApp = '';
if ($useownapi)
{
	$requiredTag = ' required="required"';
	$required = ' required';
	$requiredToken = ' validate-token';
	$requiredId = ' validate-numeric';
	$requiredApp = ' validate-facebookapp';
}


$requireAlbum = ($channeltypeId == AutotweetModelChanneltypes::TYPE_FBPHOTOCHANNEL);

?>
<!-- com_autotweet_OUTPUT_START -->
<p style="text-align:center;">
	<span class="loaderspinner">&nbsp;</span>
</p>

<legend>
	<?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_ACCOUNTDATA_TITLE'); ?>
</legend>
<?php echo JText::_('COM_AUTOTWEET_CHANNEL_FACEBOOK_DESC'); ?>

<ul class="nav nav-tabs" id="fbChannelTabs">
	<li class=""><a data-toggle="tab" href="#fbapp"><?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_TAB_FBAPPDEFINITION'); ?></a></li>
	<li class=""><a data-toggle="tab" href="#fbauth"><?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_TAB_AUTHORIZATION'); ?></a></li>
	<li class=""><a data-toggle="tab" href="#fbchannel"><?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_TAB_CHANNEL'); ?></a></li>
	<li class=""><a data-toggle="tab" href="#fbtargeting"><?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_TAB_TARGETING'); ?></a></li>
</ul>

<div class="tab-content" id="fbChannelTabsContent">
	<div id="fbapp" class="tab-pane fade">

		<div class="control-group">
			<label class="control-label" for="use_own_api" id="use_own_api-lbl"><?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_USEOWNAPP_TITLE'); ?></label>
			<div class="controls inline">
				<?php echo SelectHelper::yesno($useownapi, 'xtform[use_own_api]', array(), 'use_own_api'); ?>
			</div>
		</div>

		<div id="own-app-details" <?php
			if (!$useownapi)
			{
				echo 'style="display: none;"';
			}
		?>>
			<p class="lead"><?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_APPDATA_TITLE'); ?></p>

			<div class="control-group">
				<label class="control-label <?php

				echo $required;

				?>" for="app_id" id="app_id-lbl"><?php

				echo JText::_('COM_AUTOTWEET_CHANNEL_FACEBOOK_FIELD_APIKEY');

				?> <span class="star">&nbsp;*</span></label>
				<div class="controls">
					<input type="text" maxlength="255" size="50" value="<?php

					echo $this->item->xtform->get('app_id');

					?>" id="app_id" name="xtform[app_id]" class="<?php

					echo $required . $requiredId;

					?>" <?php

					echo $requiredTag;

					?>>
				</div>
			</div>
			<div class="control-group">
				<label class="control-label <?php

				echo $required;

				?>" for="secret" id="secret-lbl"><?php

				echo JText::_('COM_AUTOTWEET_CHANNEL_FACEBOOK_FIELD_APISECRET');

				?> <span class="star">&nbsp;*</span></label>
				<div class="controls">
					<input type="text" maxlength="255" size="50" value="<?php

					echo $this->item->xtform->get('secret');

					?>" id="secret" name="xtform[secret]" class="<?php

					echo $required . $requiredToken;

					?>" <?php

					echo $requiredTag;

					?>>
				</div>
			</div>
			<div class="control-group">
				<label class="control-label <?php

				echo $required;

				?>" for="canvas_page" id="canvas_page-lbl"><?php echo

				JText::_('COM_AUTOTWEET_CHANNEL_FACEBOOK_FIELD_APIAUTHURL');

				?> <span class="star">&nbsp;*</span></label>
				<div class="controls">
					<input type="text" maxlength="255" size="50" value="<?php

					echo $this->item->xtform->get('canvas_page');

					?>" id="canvas_page" name="xtform[canvas_page]" class="<?php

					echo $required . $requiredApp;

					?>" <?php

					echo $requiredTag;

					?>>
				</div>
			</div>
		</div>

		<hr/>

		<div class="alert">
			<button type="button" class="close" data-dismiss="alert">&times;</button>
			<?php
			echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_APPDATA_DESC');
			?>
			<br/>
			<i class="xticon-thumbs-up"></i> <a href="http://www.extly.com/how-to-autotweet-in-5-minutes-from-joomla.html" target="_blank">
			Tutorial: How to AutoTweet from Joomla in 5 minutes</a><br/>
			<i class="xticon-thumbs-up"></i> <a href="http://www.extly.com/how-to-autotweet-from-your-own-facebook-app.html" target="_blank">
			Tutorial: How to AutoTweet from Your Own Facebook App</a><br/>
			<i class="xticon-thumbs-up"></i> <a href="http://www.extly.com/how-to-autotweet-from-your-own-facebook-heroku-app.html" target="_blank">
			Tutorial: How to AutoTweet from Facebook-Heroku App</a>
		</div>

	</div>

	<div id="fbauth" class="tab-pane fade">

		<p class="lead"><?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_AUTH_TITLE'); ?></p>

		<div class="control-group">
			<label class="control-label" rel="tooltip" data-original-title="<?php
							echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_AUTH_DESC');
							?>"> <input type="button" id="authbutton" value="<?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_AUTHBUTTON_TITLE'); ?>" class="btn btn-info" />
			</label>
		</div>

		<div class="alert">
			<button type="button" class="close" data-dismiss="alert">&times;</button>
			<?php
			echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_AUTH_DESC');
			?>
		</div>

		<div class="control-group">
			<label class="required control-label" for="access_token" id="access_token-lbl"><?php echo JText::_('COM_AUTOTWEET_VIEW_FBWACCOUNT_USERTOKEN_TITLE'); ?><span class="star">&nbsp;*</span>
			</label>
			<div class="controls">
				<input type="text" maxlength="255" size="64" value="<?php echo $this->item->xtform->get('access_token'); ?>" id="access_token" name="xtform[access_token]" class="required validate-token" required="required">
			</div>
		</div>

		<div class="control-group">
			<label class="control-label"> <a href="#" class="btn btn-info" id="fbvalidationbutton"><?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_VALIDATEBUTTON_TITLE'); ?></a>
			</label>

			<div id="validation-notchecked" class="controls">
				<span class="lead"><i class="xticon-question-sign"></i> </span><span class="loaderspinner">&nbsp;</span>
			</div>

			<div id="validation-success" class="controls" style="display: none">
				<span class="lead"><i class="xticon-check"></i> <?php
				echo JText::_('COM_AUTOTWEET_STATE_PUBSTATE_SUCCESS');
				?> - <?php
				echo JText::_('COM_AUTOTWEET_CHANNEL_SELECTFBCHANNEL');
				?></span><span class="loaderspinner">&nbsp;</span>
			</div>

			<div id="validation-error" class="controls" style="display: none">
				<span class="lead"><i class="xticon-exclamation-sign"></i> <?php echo JText::_('COM_AUTOTWEET_STATE_PUBSTATE_ERROR'); ?></span><span class="loaderspinner">&nbsp;</span>
			</div>

		</div>

		<div id="validation-errormsg" class="alert alert-block alert-error" style="display: none">
			<button type="button" class="close" data-dismiss="alert">&times;</button>
			<div id="validation-theerrormsg">
				<?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_AUTH_MSG'); ?>
			</div>
		</div>

		<div class="control-group">
			<label class=" required control-label" for="user_id" id="user_id-lbl"><?php echo JText::_('COM_AUTOTWEET_VIEW_FBWACCOUNT_ACCOUNTID_TITLE'); ?><span class="star">&nbsp;*</span>
			</label>
			<div class="controls">
				<input type="text" maxlength="255" size="64" value="<?php echo $this->item->xtform->get('user_id'); ?>" id="user_id" name="xtform[user_id]" class="required validate-numeric" required="required" readonly="readonly">
			</div>
		</div>

	</div>

	<div id="fbchannel" class="tab-pane fade">

		<div class="control-group">
			<label class="required control-label" for="fbchannel_id" id="fbchannel_id-lbl"><?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_FIELD_FBCHANNEL_TITLE'); ?> <span class="star">&nbsp;*</span></label>
			<div class="controls">
				<?php echo SelectHelper::fbchannels($this->item->xtform->get('fbchannel_id'), 'xtform[fbchannel_id]', array(), $this->item->xtform->get('app_id'), $this->item->xtform->get('secret'), $this->item->xtform->get('access_token')); ?>
			</div>
		</div>

		<div class="control-group">
			<label class="required control-label" for="fbchannel_access_token" id="fbchannel_access_token-lbl"><?php echo JText::_('COM_AUTOTWEET_VIEW_FBWACCOUNT_USERTOKEN_TITLE'); ?> <span class="star">&nbsp;*</span></label>
			<div class="controls">
				<input type="text" maxlength="255" size="50" value="<?php echo $this->item->xtform->get('fbchannel_access_token'); ?>" id="fbchannel_access_token" name="xtform[fbchannel_access_token]" class="required validate-token" required="required" readonly="readonly">
			</div>
		</div>

		<?php
		if ($requireAlbum)
		{
		?>
		<div class="control-group">
			<label class="required control-label" for="fbalbum_id" id="fbalbum_id-lbl"><?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_FIELD_FBALBUM_TITLE'); ?> <span class="star">&nbsp;*</span>
				<a href="#" class="btn btn-info" id="fbalbumloadbutton"><?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_LOADBUTTON_TITLE'); ?></a>
			</label>
			<div class="controls">
				<?php echo SelectHelper::fbalbums($this->item->xtform->get('fbalbum_id'), 'xtform[fbalbum_id]', array(), $this->item->xtform->get('app_id'), $this->item->xtform->get('secret'), $this->item->xtform->get('access_token'), $this->item->xtform->get('fbchannel_id')); ?>
			</div>
		</div>
		<?php
		}
		?>

	</div>

	<div id="fbtargeting" class="tab-pane fade">

		<div class="control-group">
			<label class="control-label" for="fbchannel_targeting" id="fbchannel_targeting-lbl"><?php echo JText::_('COM_AUTOTWEET_VIEW_FBWACCOUNT_TARGETING_TITLE'); ?></label>
			<div class="controls">
				<textarea name="xtform[fbchannel_targeting]" id="fbchannel_targeting" rows="3" cols="40" maxlength="512"><?php
									echo $this->item->xtform->get('fbchannel_targeting');
				?></textarea>
			</div>
		</div>

		<hr/>

		<div class="alert">
			<button type="button" class="close" data-dismiss="alert">&times;</button>
			<?php
			echo JText::_('COM_AUTOTWEET_VIEW_MORE_INFO');
			?>
			<br/>
			<i class="xticon-facebook"></i> <a href="http://developers.facebook.com/docs/reference/api/page/#post_types" target="_blank">
			Page / Targeting Page Posts</a>
		</div>

	</div>

</div>
<script type="text/javascript">
var autotweet_canvas_app_url='<?php

echo $channeltype->get('auth_url');

?>';
</script>
<!-- com_autotweet_OUTPUT_START -->