<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - AutoTweetNG posts content to social channels (Twitter, Facebook, LinkedIn, etc).
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$this->loadHelper('select');

JHTML::_('behavior.modal');
JHtml::_('behavior.formvalidation');
JHTML::_('behavior.calendar');


$alert_style = 'alert-info';

if ($this->item->pubstate == 'error')
{
	$alert_style = 'alert-error';
}
$alert_message = JText::_($this->item->resultmsg);

?>

<div class="extly">
	<div class="extly-body">

		<form name="adminForm" id="adminForm" action="index.php" method="post" class="form form-horizontal form-validate">
			<input type="hidden" name="option" value="com_autotweet" /> <input type="hidden" name="view" value="posts" /> <input type="hidden" name="task" value="" /> <input type="hidden" name="<?php echo JFactory::getSession()->getFormToken();?>" value="1" />

			<div class="row-fluid">

				<div class="span6">

					<fieldset class="details">

						<div class="control-group">
							<label class=" required control-label" for="postdate_time" id="postdate-lbl" rel="tooltip" data-original-title="<?php
							echo JText::_('COM_AUTOTWEET_POST_PUBLICATION_DATE_DESC');
							?>"><?php echo JText::_('COM_AUTOTWEET_POST_PUBLICATION_DATE'); ?></label>
							<div class="controls">
								<?php echo JHTML::_('calendar', $this->item->postdate, 'postdate', 'postdate', '%Y-%m-%d', array('class' => 'input')); ?>
							</div>
						</div>

						<div class="control-group">
							<label for="ref_id" class="control-label" rel="tooltip" data-original-title="<?php
							echo JText::_('COM_AUTOTWEET_POST_REFERENCE_DESC');
							?>"><?php echo JText::_('COM_AUTOTWEET_POST_REFERENCE'); ?> <span class="star">&#160;*</span>
							</label>
							<div class="controls">
								<input type="text" name="ref_id" id="ref_id" value="<?php echo $this->item->ref_id; ?>" class="required" maxlength="64" />
							</div>
						</div>

						<div class="control-group">
							<label for="language" class="control-label" rel="tooltip" data-original-title="<?php
							echo JText::_('COM_AUTOTWEET_POST_STATE_DESC');
							?>"><?php echo JText::_('COM_AUTOTWEET_POST_STATE'); ?></label>
							<div class="controls">
								<?php echo SelectHelper::pubstates($this->item->pubstate, 'pubstate'); ?>
							</div>
						</div>

						<div class="control-group">
							<label for="name" class="control-label required" rel="tooltip" data-original-title="<?php
							echo JText::_('COM_AUTOTWEET_POST_TITLE_DESC');
							?>"><?php echo JText::_('COM_AUTOTWEET_POST_TITLE'); ?> <span class="star">&#160;*</span>
							</label>
							<div class="controls">
								<input type="text" name="title" id="title" value="<?php echo $this->item->title; ?>" class="required" maxlength="64"/>
							</div>
						</div>

						<div class="control-group">
							<label for="message" class="control-label" rel="tooltip" data-original-title="<?php
							echo JText::_('COM_AUTOTWEET_POST_MESSAGE_DESC');
							?>"><?php echo JText::_('COM_AUTOTWEET_POST_MESSAGE'); ?></label>
							<div class="controls">
								<textarea name="message" id="message" rows="5" cols="80" maxlength="512"><?php
									echo $this->item->message;
									?></textarea>
							</div>
						</div>

						<div class="control-group">
							<label for="url" class="control-label" rel="tooltip" data-original-title="<?php
							echo JText::_('COM_AUTOTWEET_POST_SHORT_URL_DESC');
							?>"><?php echo JText::_('COM_AUTOTWEET_POST_SHORT_URL'); ?></label>
							<div class="controls">
								<input type="text" name="url" id="url" value="<?php echo $this->item->url; ?>" maxlength="512" />
							</div>
						</div>

						<div class="control-group">
							<label for="org_url" class="control-label" rel="tooltip" data-original-title="<?php
							echo JText::_('COM_AUTOTWEET_POST_ORIGINAL_URL_DESC');
							?>"><?php echo JText::_('COM_AUTOTWEET_POST_ORIGINAL_URL'); ?></label>
							<div class="controls">
								<input type="text" name="org_url" id="org_url" value="<?php echo $this->item->org_url; ?>" maxlength="512" />
							</div>
						</div>

						<div class="control-group">
							<label for="image_url" class="control-label" rel="tooltip" data-original-title="<?php
							echo JText::_('COM_AUTOTWEET_POST_IMAGE_URL_DESC');
							?>"><?php echo JText::_('COM_AUTOTWEET_POST_IMAGE_URL'); ?></label>
							<div class="controls">
								<input type="text" name="image_url" id="image_url" value="<?php echo $this->item->image_url; ?>" maxlength="512"/>

								<a class="btn btn-mini modal" rel="{handler: 'iframe', size: {x: 800, y: 500}}" href="index.php?option=com_media&amp;view=images&amp;tmpl=component&amp;asset=com_autotweet&amp;author=&amp;fieldid=image_url" title="<?php echo JText::_('JSELECT'); ?>" class="modal">
								<?php echo JText::_('JSELECT'); ?>
								</a>
							</div>
						</div>

						<div class="control-group">
							<label for="channel_id" class="control-label" rel="tooltip" data-original-title="<?php
							echo JText::_('COM_AUTOTWEET_POST_CHANNEL_DESC');
							?>"><?php echo JText::_('COM_AUTOTWEET_POST_CHANNEL'); ?></label>
							<div class="controls">
								<?php echo SelectHelper::channels($this->item->channel_id, 'channel_id') ?>
							</div>
						</div>

						<div class="control-group">
							<label for="plugin" class="control-label" rel="tooltip" data-original-title="<?php
							echo JText::_('COM_AUTOTWEET_POST_PLUGIN_DESC');
							?>"><?php echo JText::_('COM_AUTOTWEET_POST_PLUGIN'); ?></label>
							<div class="controls">
								<?php echo SelectHelper::plugins($this->item->plugin, 'plugin') ?>
							</div>
						</div>

						<div class="control-group">
							<label for="show_url" class="control-label" rel="tooltip" data-original-title="<?php
							echo JText::_('COM_AUTOTWEET_POST_SHOW_URL_DESC');
							?>"><?php echo JText::_('COM_AUTOTWEET_POST_SHOW_URL'); ?></label>
							<div class="controls">
								<?php echo SelectHelper::showurl($this->item->show_url, 'show_url') ?>
							</div>
						</div>

						<div class="control-group">
							<label for="post_id" class="control-label"
								rel="tooltip" data-original-title="<?php echo JText::_('JGLOBAL_FIELD_ID_DESC'); ?>"><?php
								echo JText::_('JGLOBAL_FIELD_ID_LABEL'); ?> </label>
							<div class="controls">
								<input type="text" name="id" id="post_id" value="<?php echo $this->item->id; ?>" class="uneditable-input" readonly="readonly">
							</div>
						</div>

					</fieldset>

				</div>

				<?php

				require dirname(__FILE__) . '/../../request/tmpl/right-side.php';

				?>

			</div>
		</form>
	</div>
</div>
