<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - AutoTweetNG posts content to social channels (Twitter, Facebook, LinkedIn, etc).
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$this->loadHelper('select');

JHTML::_('behavior.modal');
JHtml::_('behavior.formvalidation');
JHTML::_('behavior.calendar');

$alert_style = 'alert-info';
$alert_message = '';

$native_object = json_decode($this->item->native_object);
if ((isset($native_object->error)) && ($native_object->error))
{
	$alert_style = 'alert-error';
	$alert_message = JText::_($native_object->error_message);
}

?>

<div class="extly">
	<div class="extly-body">

		<form name="adminForm" id="adminForm" action="index.php" method="post" class="form form-horizontal form-validate">
			<input type="hidden" name="option" value="com_autotweet" /> <input type="hidden" name="view" value="requests" /> <input type="hidden" name="task" value="" /> <input type="hidden" name="<?php echo JFactory::getSession()->getFormToken();?>" value="1" />

			<div class="row-fluid">

				<div class="span6">

					<fieldset class="details">

						<div class="control-group">
							<label class="required control-label" for="publish_up_time" id="publish_up-lbl" rel="tooltip" data-original-title="<?php
							echo JText::_('COM_AUTOTWEET_REQ_SCHEDULED_DATE_DESC');
							?>"><?php echo JText::_('COM_AUTOTWEET_REQ_SCHEDULED_DATE'); ?> <span class="star">&#160;*</span>
							</label>
							<div class="controls">
								<?php echo JHTML::_('calendar', $this->item->publish_up, 'publish_up', 'publish_up', '%Y-%m-%d', array('class' => 'input required')); ?>
							</div>
						</div>

						<div class="control-group">
							<label for="plugin required" class="control-label" rel="tooltip" data-original-title="<?php
							echo JText::_('COM_AUTOTWEET_REQ_PLUGIN_DESC');
							?>"><?php echo JText::_('COM_AUTOTWEET_REQ_PLUGIN'); ?> <span class="star">&#160;*</span>
							</label>
							<div class="controls">
								<?php echo SelectHelper::plugins($this->item->plugin, 'plugin', array('class' => 'input required')); ?>
							</div>
						</div>

						<div class="control-group">
							<label for="ref_id" class="control-label required" rel="tooltip" data-original-title="<?php
							echo JText::_('COM_AUTOTWEET_REQ_REFERENCE_DESC');
							?>"><?php echo JText::_('COM_AUTOTWEET_REQ_REFERENCE'); ?> <span class="star">&#160;*</span>
							</label>
							<div class="controls">
								<input type="text" name="ref_id" id="ref_id" value="<?php echo (empty($this->item->ref_id) ? JFactory::getDate()->toUnix() : $this->item->ref_id); ?>" class="required" maxlength="64" />
							</div>
						</div>

						<div class="control-group">
							<label for="name" class="control-label required" rel="tooltip" data-original-title="<?php
							echo JText::_('COM_AUTOTWEET_REQ_TITLE_DESC');
							?>"><?php echo JText::_('COM_AUTOTWEET_REQ_TITLE'); ?> <span class="star">&#160;*</span>
							</label>
							<div class="controls">
								<input type="text" name="description" id="description" value="<?php echo $this->item->description; ?>" class="required" maxlength="256" required="required" />
							</div>
						</div>

						<div class="control-group">
							<label for="text" class="control-label" rel="tooltip" data-original-title="<?php
							echo JText::_('COM_AUTOTWEET_REQ_LINK_DESC');
							?>"><?php echo JText::_('COM_AUTOTWEET_REQ_LINK'); ?>
							</label>
							<div class="controls">
								<input type="text" name="url" id="url" value="<?php echo $this->item->url; ?>" maxlength="512"/>
							</div>
						</div>

						<div class="control-group">
							<label for="image_url" class="control-label" rel="tooltip" data-original-title="<?php
							echo JText::_('COM_AUTOTWEET_REQ_IMAGE_DESC');
							?>"><?php echo JText::_('COM_AUTOTWEET_REQ_IMAGE'); ?></label>
							<div class="controls">
								<input type="text" name="image_url" id="image_url" value="<?php echo $this->item->image_url; ?>" maxlength="512" /> <a class="btn btn-mini modal" rel="{handler: 'iframe', size: {x: 800, y: 500}}"
									href="index.php?option=com_media&amp;view=images&amp;tmpl=component&amp;asset=com_autotweet&amp;author=&amp;fieldid=image_url" title="<?php echo JText::_('JSELECT'); ?>" class="modal"> <?php
									echo JText::_('JSELECT');
									?>
								</a>

							</div>
						</div>

						<div class="control-group">
							<label class="control-label <?php echo $labelDisabledNotManual; ?>" for="create_event" id="create_event-lbl" rel="tooltip" data-original-title="<?php
							echo JText::_('COM_AUTOTWEET_REQ_PUBLISHED_DESC');
							?>"><?php echo JText::_('COM_AUTOTWEET_REQ_PUBLISHED_TITLE'); ?> </label>
							<div class="controls inline">
								<?php echo SelectHelper::yesno($this->item->get('published', 0), 'published'); ?>
							</div>
						</div>

						<div class="control-group">
							<label for="request_id" class="control-label" rel="tooltip" data-original-title="<?php echo JText::_('JGLOBAL_FIELD_ID_DESC'); ?>"><?php
							echo JText::_('JGLOBAL_FIELD_ID_LABEL'); ?> </label>
							<div class="controls">
								<input type="text" name="id" id="request_id" value="<?php echo $this->item->id; ?>" class="uneditable-input" readonly="readonly">
							</div>
						</div>

					</fieldset>

				</div>

				<?php

				require dirname(__FILE__) . '/right-side.php';

				?>

			</div>
		</form>
	</div>
</div>

<script type="text/javascript">
// Image
function jInsertFieldValue(value, id) {
	jQuery('#' + id).val(value);
}
</script>
