<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - AutoTweetNG posts content to social channels (Twitter, Facebook, LinkedIn, etc).
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$this->loadHelper('select');
$this->loadHelper('grid');

JHTML::_('behavior.calendar');

?>
<div class="extly">
	<div class="extly-body">
		<div class="row-fluid">
			<div class="span12">

				<form name="adminForm" id="adminForm" action="index.php" method="post">

					<input type="hidden" name="option" id="option" value="com_autotweet" />
					<input type="hidden" name="view" id="view" value="request" />
					<input type="hidden" name="task" id="task" value="browse" />
					<input type="hidden" name="boxchecked" id="boxchecked" value="0" />
					<input type="hidden" name="hidemainmenu" id="hidemainmenu" value="0" />
					<input type="hidden" name="filter_order" id="filter_order" value="<?php echo $this->lists->order ?>" />
					<input type="hidden" name="filter_order_Dir" id="filter_order_Dir" value="<?php echo $this->lists->order_Dir ?>" />
					<input type="hidden" name="<?php echo JFactory::getSession()->getFormToken();?>" value="1" />

					<table class="adminlist table table-striped" id="itemsList">
						<thead>
							<tr>

								<th width="20"><input type="checkbox" name="toggle" value="" onclick="Joomla.checkAll(this);" />
								</th>

								<th><?php echo JHTML::_('grid.sort', 'COM_AUTOTWEET_VIEW_MSGLOG_POSTDATE_TITLE', 'publish_up', $this->lists->order_Dir, $this->lists->order, 'browse'); ?>
								</th>

								<th><?php echo JHTML::_('grid.sort', 'COM_AUTOTWEET_REQUESTS_FIELD_MESSAGE', 'name', $this->lists->order_Dir, $this->lists->order, 'browse'); ?>
								</th>

								<th width="80"><?php echo JHTML::_('grid.sort', 'COM_AUTOTWEET_VIEW_SOURCE_TITLE', 'plugin', $this->lists->order_Dir, $this->lists->order, 'browse'); ?>
								</th>

								<th width="80"><?php echo JHTML::_('grid.sort', 'COM_AUTOTWEET_REQ_PUBLISHED_TITLE', 'published', $this->lists->order_Dir, $this->lists->order, 'browse'); ?>
								</th>

								<th width="80"><?php echo JHTML::_('grid.sort', 'JGLOBAL_FIELD_ID_LABEL', 'id', $this->lists->order_Dir, $this->lists->order, 'browse'); ?>
								</th>
							</tr>
							<tr>

								<td></td>

								<td class="form-inline">
								<?php echo JHTML::_('calendar', $this->getModel()->getState('publish_up'), 'publish_up', 'publish_up', '%Y-%m-%d', array('class' => 'input-mini')); ?>
								</td>

								<td class="form-inline"><input type="text" name="search" id="search" value="<?php echo $this->escape($this->getModel()->getState('search'));?>" class="input-medium" onchange="document.adminForm.submit();"
									placeholder="<?php echo JText::_('COM_AUTOTWEET_REQUESTS_FIELD_MESSAGE') ?>" />
									<button class="btn btn-mini" onclick="this.form.submit();">
										<?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?>
									</button>
									<button class="btn btn-mini" onclick="document.adminForm.title.value='';this.form.submit();">
										<?php echo JText::_('JSEARCH_RESET'); ?>
									</button>
								</td>

								<td><?php echo SelectHelper::plugins($this->getModel()->getState('plugin'), 'plugin', array('onchange' => 'this.form.submit();', 'class' => 'input-small')) ?>
								</td>

								<td><?php echo SelectHelper::yesno($this->getModel()->getState('published', 0), 'published', array('onchange' => 'this.form.submit();', 'class' => 'input-small')) ?>
								</td>

								<td>
								</td>
							</tr>
						</thead>
						<tfoot>
							<tr>
								<td colspan="20"><?php
								if ($this->pagination->total > 0)
								{
									echo $this->pagination->getListFooter();
								}
								?>
								</td>
							</tr>
						</tfoot>
						<tbody>
							<?php
							if ($count = count($this->items))
							{
								?>
							<?php
							$i = 0;
							$m = 1;
							foreach ($this->items as $item)
							{
								$m = 1 - $m;

								$checkedout = ($item->checked_out != 0);
								$ordering = $this->lists->order == 'ordering';

								$native_object = json_decode($item->native_object);
								$has_error = false;
								if ((isset($native_object->error)) && ($native_object->error))
								{
									$has_error = true;
									$alert_style = 'alert-error';
									$alert_message = JText::_($native_object->error_message);
								}

								?>
							<tr class="row<?php echo $m?> <?php
								if ($has_error)
								{
									echo 'error';
								}
							?>">

								<td><?php echo JHTML::_('grid.id', $i, $item->id, $checkedout); ?>
								</td>

								<td>
								<a href="index.php?option=com_autotweet&view=request&task=edit&id=<?php echo (int) $item->id ?>">
								<?php
								echo $item->publish_up;
								?>
								</a>
								</td>

								<td><?php

								echo EHtmlGrid::locked($checkedout, 'lib_extly/icons/lock.png', 'lib_extly/icons/unlock.png', true);

								?>
								<a href="index.php?option=com_autotweet&view=request&task=edit&id=<?php echo (int) $item->id ?>">
								<?php

								echo htmlentities($item->description, ENT_COMPAT, 'UTF-8');

								?>
								</a>

								</td>

								<td><?php  echo AutoTweetModelPlugins::getSimpleName($item->plugin); ?>
								</td>

								<td><?php
								if ($has_error)
								{
									echo '<div rel="tooltip" data-original-title="' . $alert_message . '">';
									echo EHtmlGrid::publishedWithIcons($item, $i);
									echo ' <a href="#" class="xticon-thumbs-down"></a>';
									echo ' - ' . JText::_('COM_AUTOTWEET_STATE_PUBSTATE_ERROR') . '</div>';
								}
								else
								{
									echo EHtmlGrid::publishedWithIcons($item, $i, '<i style="color: green;" class="xticon-check"></i>', '<i style="color: orange;" class="xticon-time"></i>') . ' - ' .
										($item->published ? JText::_('JYES') : JText::_('JNO'));
								}
								?>
								</td>

								<td>
								<?php
								echo $item->id;
								?>
								</td>
							</tr>
							<?php
							$i++;

							}

							?>
							<?php
							}
							else
							{
								?>
							<tr>
								<td colspan="10" align="center"><?php echo JText::_('AUTOTWEET_COMMON_NOITEMS_LABEL') ?></td>
							</tr>
							<?php
							}
							?>
						</tbody>
					</table>

				</form>

			</div>
		</div>
	</div>
</div>
