/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 * 
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

require(
		[ 'extlycore' ],

		function() {

/* BEGIN - variables to be inserted here */
			
			
/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 * 
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

var ExtlyModel = Backbone.Model.extend({
	
	parse: function(resp, options) {
		var body = resp.split(/@EXTLYSTART@|@EXTLYEND@/);
		if (body.length === 3) {
			return JSON.parse(body[1]);
		} else {
			return { 
				status : false, 
				message: resp
			};
		}			
	}

});

var appParamsHelper = {
	get : function(scope) {
		var canvas_page = autotweet_canvas_app_url, app_id = 'My-App-ID', secret = 'My-App-Secret', access_token = 'My-Access-Token', ownApp = scope
				.$('#use_own_api option:selected').val();

		if (ownApp === '1') {
			canvas_page = scope.$('#canvas_page').val();
			app_id = scope.$('#app_id').val();
			secret = scope.$('#secret').val();
		}
		access_token = scope.$('#access_token').val();

		var params = {
			p_own_app : ownApp,
			p_canvas_page : canvas_page,
			p_encoded_canvas_page : encodeURIComponent(canvas_page),
			p_app_id : encodeURIComponent(app_id),
			p_secret : encodeURIComponent(secret),
			p_access_token : encodeURIComponent(access_token)
		};

		var url_params = 'app_id=' + params.p_app_id + '&secret='
				+ params.p_secret + '&access_token=' + params.p_access_token
				+ '&ownapp=' + params.p_own_app + '&canvas_page='
				+ params.p_encoded_canvas_page;

		params.p_url_params = url_params;

		return params;
	}
};

var validationHelper = {
	showSuccess : function showSuccess(scope, userId) {
		scope.$('#user_id').val(userId);

		scope.$('#validation-notchecked').hide();
		scope.$('#validation-error').hide();
		scope.$('#validation-errormsg').hide();

		scope.$('#validation-success').show();
	},

	showError : function showError(scope, msg) {
		scope.$('#user_id').val('');

		scope.$('#validation-notchecked').hide();
		scope.$('#validation-success').hide();

		scope.$('#validation-theerrormsg').html(msg);
		scope.$('#validation-error').show();
		scope.$('#validation-errormsg').show();
	}
};

var uiHelper = {

		listReset : function listReset(theList) {
			var opt;
			opt = new Option();
			opt.value = '0';
			opt.text = '...requesting facebook data...';
			opt.token = '';

			theList.empty();			
			theList.append(opt);
			theList.trigger('liszt:updated');
		}

	};
/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 * 
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

var Channel = ExtlyModel.extend({

			initialize : function(attributes, options) {
				this.set('urlTest', options.urlTest);
				this.set('urlBase', options.urlBase);
			},

			url : function() {
				var url = this.get('urlTest');
				if (url) {
					return url;
				}

				return this.get('urlBase')
						+ 'index.php?option=com_autotweet&view=channels&task=getParamsForm';
			}
		});
/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 * 
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

var FbAlbum = ExtlyModel.extend({
	
			initialize : function(attributes, options) {
				this.set('urlTest', options.urlTest);
				this.set('urlBase', options.urlBase);
			},

			url : function() {
				var url = this.get('urlTest');
				if (url) {
					return url;
				}

				return this.get('urlBase')
						+ 'index.php?option=com_autotweet&view=channels&task=getFbAlbums';
			}
		});
/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 * 
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

var FbChannel = ExtlyModel.extend({
	
			initialize : function(attributes, options) {
				this.set('urlTest', options.urlTest);
				this.set('urlBase', options.urlBase);
			},

			url : function() {
				var url = this.get('urlTest');
				if (url) {
					return url;
				}

				return this.get('urlBase')
						+ 'index.php?option=com_autotweet&view=channels&task=getFbChannels';
			}
		});
/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 * 
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

var FbValidation = ExtlyModel.extend({

			initialize : function(attributes, options) {
				this.set('urlTest', options.urlTest);
				this.set('urlBase', options.urlBase);
			},

			url : function() {
				var url = this.get('urlTest');
				if (url) {
					return url;
				}

				return this.get('urlBase')
						+ 'index.php?option=com_autotweet&view=channels&task=getFbValidation';
			}
		});
/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 * 
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

var LiValidation = ExtlyModel.extend({

			initialize : function(attributes, options) {
				this.set('urlTest', options.urlTest);
				this.set('urlBase', options.urlBase);
			},

			url : function() {
				var url = this.get('urlTest');
				if (url) {
					return url;
				}

				return this.get('urlBase')
						+ 'index.php?option=com_autotweet&view=channels&task=getLiValidation';
			}
		});
/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 * 
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

var TwValidation = ExtlyModel.extend({

			initialize : function(attributes, options) {
				this.set('urlTest', options.urlTest);
				this.set('urlBase', options.urlBase);
			},

			url : function() {
				var url = this.get('urlTest');
				if (url) {
					return url;
				}

				return this.get('urlBase')
						+ 'index.php?option=com_autotweet&view=channels&task=getTwValidation';
			}
		});
/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 * 
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

var Channels = Backbone.Collection.extend({
	model : Channel
});
/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 * 
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

var FbAlbums = Backbone.Collection.extend({
	model : FbAlbum
});
/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 * 
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

var FbChannels = Backbone.Collection.extend({
	model : FbChannel
});
/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 * 
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

var FbValidations = Backbone.Collection.extend({
	model : FbValidation
});
/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 * 
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

var LiValidations = Backbone.Collection.extend({
	model : LiValidation
});
/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 * 
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

var TwValidations = Backbone.Collection.extend({
	model : TwValidation
});
/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 * 
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

var ChannelView = Backbone.View.extend({
	events : {
		'change #channeltype_id' : 'onChangeChannelType'
	},

	initialize : function() {
		this.collection.on('add', this.loadchannel, this);
	},

	onChangeChannelType : function onChangeChannelType() {
		var view = this;
		view.$(".loaderspinner").addClass('loading');

		this.collection.create(this.collection.model, {
			urlBase : (view.options.urlBase || ''),
			urlTest : (view.options.urlTest || null),
			attrs : {
				channelId : this.$('#channel_id').val(),
				channelTypeId : this.$('#channeltype_id').val()
			},

			wait : true,
			dataType:     'text',
			success : function(model, resp, options) {
				view.$('#channel_data').html(model.get('message'));
				view.refresh();
			},
			error : function(model, fail, xhr) {
				view.$('#channel_data').html(fail.responseText);
			}
		});
	},

	loadchannel : function loadchannel(paramsform) {
		var msg = paramsform.get('message');
		this.$('#channel_data').html(msg);
		this.refresh();
	},
	
	refresh: function refresh() {
		// Enable Chosen in selects
		this.$('#channel_data select').chosen({
			disable_search_threshold : 10,
			allow_single_deselect : true
		});

		// Activate Tabs
		this.$('#channel_data a').tab();
		this.$('#channel_data a').click(function(e) {
			e.preventDefault();
		});
		this.$('#channel_data a:first').tab('show');		
	},	

	submitbutton : function submitbutton(task) {
		var is_valid, domform = this.el;
		if (task === 'channel.cancel') {
			Joomla.submitform(task, domform);
		}
		is_valid = document.formvalidator.isValid(domform);
		if (is_valid) {
			Joomla.submitform(task, domform);
		}
	}

});
/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 * 
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

var FbAlbumView = Backbone.View
		.extend({

			events : {
				'click #fbalbumloadbutton' : 'onAlbumsReq'
			},

			initialize : function() {
				this.collection.on('add', this.loadFbAlbum, this);
				this.fbalbumlist = '#xtformfbalbum_id';
			},

			onAlbumsReq : function onAlbumsReq() {
				var thisView = this,
					params = appParamsHelper.get(thisView),
					list = thisView.$(this.fbalbumlist),
					fbChannelView = this.options.fbChannelView,
					channelId = fbChannelView.getFbChannelId(),
					channelToken = fbChannelView.getFbChannelAccessToken();
					
				uiHelper.listReset(list);

				this.collection.create(this.collection.model, {
					attrs : {
						own_app : params.p_own_app,
						app_id : params.p_app_id,
						secret : params.p_secret,
						access_token : params.p_access_token,
						channel_id : channelId,
						channel_access_token : channelToken
					},
					urlBase : (thisView.options.urlBase || ''),
					urlTest : (thisView.options.urlTest || null),

					wait : true,
					dataType:     'text',
					error : function(model, fail, xhr) {
						validationHelper.showError(messagesview,
								fail.responseText);
					}
				});
			},

			loadFbAlbum : function loadFbAlbum(message) {
				var opt, fbalbumlist = this.$(this.fbalbumlist), i, albums;

				fbalbumlist.empty();
				if (message.get('status')) {
					albums = message.get('albums');
					i = 0;
					albums = albums[i];
					while (albums) {
						opt = new Option();
						opt.value = albums.id;
						opt.text = albums.name;

						fbalbumlist.append(opt);
						i++;
						albums = albums[i];
					}
					fbalbumlist.trigger('liszt:updated');
				} else {
					validationHelper.showError(this.options.messagesview,
							message.get('error_message'));
				}

			}

		});
/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 * 
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

var FbChannelView = Backbone.View
		.extend({

			events : {
				'change #xtformfbchannel_id' : 'onChangeChannel'
			},

			initialize : function() {
				this.options.dispatcher.on('fbapp:channelschanged',
						this.onAccessTokenChanged, this);
				this.collection.on('add', this.loadFbChannel, this);
				this.fbchannellist = '#xtformfbchannel_id';
			},

			onAccessTokenChanged : function onAccessTokenChanged() {
				var thisView = this, messagesview = this.options.messagesview, params = appParamsHelper
						.get(thisView);

				uiHelper.listReset(thisView.$(this.fbchannellist));

				this.collection.create(this.collection.model, {
					attrs : {
						own_app : params.p_own_app,
						app_id : params.p_app_id,
						secret : params.p_secret,
						access_token : params.p_access_token
					},
					urlBase : (thisView.options.urlBase || ''),
					urlTest : (thisView.options.urlTest || null),

					wait : true,
					dataType:     'text',
					error : function(model, fail, xhr) {
						validationHelper.showError(messagesview,
								fail.responseText);
					}
				});
			},

			onChangeChannel : function onChangeChannel() {
				var access_token = this.getFbChannelAccessToken();
				this.$('#fbchannel_access_token').val(access_token);
			},
			
			getFbChannelAccessToken : function getFbChannelAccessToken() {
				var oselected = this.$('#xtformfbchannel_id option:selected'), access_token = 'INVALID';
				if (oselected) {
					access_token = oselected[0].access_token
							|| oselected.attr('access_token');
				}
				return access_token;
			},
			
			getFbChannelId : function getFbChannelId() {
				return this.$('#xtformfbchannel_id option:selected').val();
			},			

			loadFbChannel : function loadFbChannel(message) {
				var opt, fbchannellist = this.$(this.fbchannellist), i, channels;

				fbchannellist.empty();
				if (message.get('status')) {
					channels = message.get('channels');
					i = 0;
					channel = channels[i];
					while (channel) {
						opt = new Option();
						opt.value = channel.id;
						opt.text = channel.type + ': ' + channel.name;
						opt.access_token = channel.access_token;

						fbchannellist.append(opt);
						i++;
						channel = channels[i];
					}
					fbchannellist.trigger('liszt:updated');
					this.onChangeChannel();
				} else {
					validationHelper.showError(this.options.messagesview,
							message.get('error_message'));
				}

			},

		});
/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 * 
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

var FbValidationView = Backbone.View.extend({
	events : {
		'change #use_own_api' : 'onChangeOwnApi',
		'click #authbutton' : 'onAuthorizationReq',
		'click #fbvalidationbutton' : 'onValidationReq'
	},

	initialize : function() {
		var view = this;

		this.collection.on('add', this.loadvalidation, this);

		this.$el.ajaxStart(function() {
			view.$(".loaderspinner").addClass('loading');
		}).ajaxStop(function() {
			view.$(".loaderspinner").removeClass('loading');
		});
	},

	onChangeOwnApi : function onChangeChannelType(e) {
		var ownApp = this.$('#use_own_api option:selected').val();

		if (ownApp === '1') {
			this.$('#own-app-details').fadeIn();
		} else {
			this.$('#own-app-details').fadeOut();
		}
	},

	onAuthorizationReq : function onAuthorizationReq(e) {
		var params = appParamsHelper.get(this);

		e.preventDefault();

		var canvas_page = params.p_canvas_page + '?' + params.p_url_params;
		window.open(canvas_page);
	},

	onValidationReq : function onValidationReq() {
		var view = this, params = appParamsHelper.get(view);

		this.collection.create(this.collection.model, {
			attrs : {
				own_app : params.p_own_app,
				app_id : params.p_app_id,
				secret : params.p_secret,
				access_token : params.p_access_token
			},
			urlBase : (view.options.urlBase || ''),
			urlTest : (view.options.urlTest || null),

			wait : true,
			dataType:     'text',
			error : function(model, fail, xhr) {
				validationHelper.showError(view, fail.responseText);
			}
		});
	},

	loadvalidation : function loadvalidation(resp) {
		var status = resp.get('status'), error_message = resp
				.get('error_message'), user = resp.get('user');

		if (status) {
			validationHelper.showSuccess(this, user.id);
			this.options.dispatcher.trigger("fbapp:channelschanged");
		} else {
			validationHelper.showError(this, error_message);
		}
	}

});
/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 * 
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

var LiValidationView = Backbone.View.extend({
	events : {
		'click #livalidationbutton' : 'onValidationReq'
	},

	initialize : function() {
		this.collection.on('add', this.loadvalidation, this);
	},

	onValidationReq : function onValidationReq() {
		var view = this,		
			api_key = view.$('#api_key').val(),
			secret_key = view.$('#secret_key').val(),
			oauth_user_token = view.$('#oauth_user_token').val(),
			oauth_user_secret = view.$('#oauth_user_secret').val();
		
		view.$(".loaderspinner").addClass('loading');
		
		this.collection.create(this.collection.model, {			
			attrs : {
				api_key : api_key,
				secret_key : secret_key,
				oauth_user_token : oauth_user_token,
				oauth_user_secret : oauth_user_secret
			},
			urlBase : (view.options.urlBase || ''),
			urlTest : (view.options.urlTest || null),

			wait : true,
			dataType:     'text',
			error : function(model, fail, xhr) {
				view.$(".loaderspinner").removeClass('loading');
				validationHelper.showError(view, fail.responseText);
			}
		});
	},

	loadvalidation : function loadvalidation(resp) {
		var status = resp.get('status'), error_message = resp
				.get('error_message'), user = resp.get('user');

		this.$(".loaderspinner").removeClass('loading');
		
		if (status) {
			validationHelper.showSuccess(this, user.id);
		} else {
			validationHelper.showError(this, error_message);
		}
	}

});
/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 * 
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

var TwValidationView = Backbone.View.extend({
	events : {
		'click #twvalidationbutton' : 'onValidationReq'
	},

	initialize : function() {
		this.collection.on('add', this.loadvalidation, this);
	},

	onValidationReq : function onValidationReq() {
		var view = this,
			consumer_key = view.$('#consumer_key').val(),
			consumer_secret = view.$('#consumer_secret').val(),
			access_token = view.$('#access_token').val(),
			access_token_secret = view.$('#access_token_secret').val();	

		view.$(".loaderspinner").addClass('loading');
		
		this.collection.create(this.collection.model, {
			attrs : {
				consumer_key : consumer_key,
				consumer_secret : consumer_secret,
				access_token : access_token,
				access_token_secret : access_token_secret
			},
			urlBase : (view.options.urlBase || ''),
			urlTest : (view.options.urlTest || null),

			wait : true,
			dataType:     'text',			
			error : function(model, fail, xhr) {
				view.$(".loaderspinner").removeClass('loading');
				validationHelper.showError(view, fail.responseText);
			}
		});
	},

	loadvalidation : function loadvalidation(resp) {
		var status = resp.get('status'), error_message = resp
				.get('error_message'), user = resp.get('user');

		this.$(".loaderspinner").removeClass('loading');
		
		if (status) {
			validationHelper.showSuccess(this, user.id);
		} else {
			validationHelper.showError(this, error_message);
		}
	}

});
/* END - variables to be inserted here */

			(new ChannelView({
				el : jQuery('#adminForm'),
				collection : new Channels()
			})).onChangeChannelType();
			
			var twValidationView = new TwValidationView({
				el : jQuery('#adminForm'),
				collection : new TwValidations()
			});

			var liValidationView = new LiValidationView({
				el : jQuery('#adminForm'),
				collection : new LiValidations()
			});

			var eventsDispatcher = _.clone(Backbone.Events);
			
			var fbValidationView = new FbValidationView({
				el : jQuery('#adminForm'),
				collection : new FbValidations(),
				dispatcher : eventsDispatcher
			});

			var fbChannelView = new FbChannelView({
				el : jQuery('#adminForm'),
				collection : new FbChannels(),
				dispatcher : eventsDispatcher,
				messagesview : fbValidationView
			});

			var fbAlbumView = new FbAlbumView({
				el : jQuery('#adminForm'),
				collection : new FbAlbums(),
				fbChannelView : fbChannelView
			});
			
		});