/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 * 
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

var ExtlyModel = Backbone.Model.extend({
	
	parse: function(resp, options) {
		var body = resp.split(/@EXTLYSTART@|@EXTLYEND@/);
		if (body.length === 3) {
			return JSON.parse(body[1]);
		} else {
			return { 
				status : false, 
				message: resp
			};
		}			
	}

});

var appParamsHelper = {
	get : function(scope) {
		var canvas_page = autotweet_canvas_app_url, app_id = 'My-App-ID', secret = 'My-App-Secret', access_token = 'My-Access-Token', ownApp = scope
				.$('#use_own_api option:selected').val();

		if (ownApp === '1') {
			canvas_page = scope.$('#canvas_page').val();
			app_id = scope.$('#app_id').val();
			secret = scope.$('#secret').val();
		}
		access_token = scope.$('#access_token').val();

		var params = {
			p_own_app : ownApp,
			p_canvas_page : canvas_page,
			p_encoded_canvas_page : encodeURIComponent(canvas_page),
			p_app_id : encodeURIComponent(app_id),
			p_secret : encodeURIComponent(secret),
			p_access_token : encodeURIComponent(access_token)
		};

		var url_params = 'app_id=' + params.p_app_id + '&secret='
				+ params.p_secret + '&access_token=' + params.p_access_token
				+ '&ownapp=' + params.p_own_app + '&canvas_page='
				+ params.p_encoded_canvas_page;

		params.p_url_params = url_params;

		return params;
	}
};

var validationHelper = {
	showSuccess : function showSuccess(scope, userId) {
		scope.$('#user_id').val(userId);

		scope.$('#validation-notchecked').hide();
		scope.$('#validation-error').hide();
		scope.$('#validation-errormsg').hide();

		scope.$('#validation-success').show();
	},

	showError : function showError(scope, msg) {
		scope.$('#user_id').val('');

		scope.$('#validation-notchecked').hide();
		scope.$('#validation-success').hide();

		scope.$('#validation-theerrormsg').html(msg);
		scope.$('#validation-error').show();
		scope.$('#validation-errormsg').show();
	}
};

var uiHelper = {

		listReset : function listReset(theList) {
			var opt;
			opt = new Option();
			opt.value = '0';
			opt.text = '...requesting facebook data...';
			opt.token = '';

			theList.empty();			
			theList.append(opt);
			theList.trigger('liszt:updated');
		}

	};
