/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 * 
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

var FbAlbumView = Backbone.View
		.extend({

			events : {
				'click #fbalbumloadbutton' : 'onAlbumsReq'
			},

			initialize : function() {
				this.collection.on('add', this.loadFbAlbum, this);
				this.fbalbumlist = '#xtformfbalbum_id';
			},

			onAlbumsReq : function onAlbumsReq() {
				var thisView = this,
					params = appParamsHelper.get(thisView),
					list = thisView.$(this.fbalbumlist),
					fbChannelView = this.options.fbChannelView,
					channelId = fbChannelView.getFbChannelId(),
					channelToken = fbChannelView.getFbChannelAccessToken();
					
				uiHelper.listReset(list);

				this.collection.create(this.collection.model, {
					attrs : {
						own_app : params.p_own_app,
						app_id : params.p_app_id,
						secret : params.p_secret,
						access_token : params.p_access_token,
						channel_id : channelId,
						channel_access_token : channelToken
					},
					urlBase : (thisView.options.urlBase || ''),
					urlTest : (thisView.options.urlTest || null),

					wait : true,
					dataType:     'text',
					error : function(model, fail, xhr) {
						validationHelper.showError(messagesview,
								fail.responseText);
					}
				});
			},

			loadFbAlbum : function loadFbAlbum(message) {
				var opt, fbalbumlist = this.$(this.fbalbumlist), i, albums;

				fbalbumlist.empty();
				if (message.get('status')) {
					albums = message.get('albums');
					i = 0;
					albums = albums[i];
					while (albums) {
						opt = new Option();
						opt.value = albums.id;
						opt.text = albums.name;

						fbalbumlist.append(opt);
						i++;
						albums = albums[i];
					}
					fbalbumlist.trigger('liszt:updated');
				} else {
					validationHelper.showError(this.options.messagesview,
							message.get('error_message'));
				}

			}

		});
