<?php

/**
 * @package     Extly.Library
 * @subpackage  lib_extly - Extly Framework
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('EXTLY_VERSION') or die('Restricted access');

/**
 * Form Class for the Extly Library.
 *
 * @package     Extly.Library
 * @subpackage  HTML
 * @since       11.1
 */
class EForm
{

	/**
	 * onBeforeSaveWithParams
	 *
	 * @param   FOFTable|array|object  &$data  Param
	 *
	 * @return  void
	 */
	public static function onBeforeSaveWithParams(&$data)
	{
		if ($data instanceof FOFTable)
		{
			$allData = $data->getData();
			$params = self::paramsToString($allData);
			$data->params = $params;
		}
		elseif (is_object($data))
		{
			$allData = (array) $data;
			$params = self::paramsToString($allData);
			$data->params = $params;
		}
		else
		{
			$data['params'] = self::paramsToString($data);

			// Cleaning annoying spaces
			$data = array_map('trim', $data);
		}
	}

	/**
	 * paramsToString
	 *
	 * @param   array   &$data  Param
	 * @param   string  $key    Param
	 *
	 * @return  void
	 */
	public static function paramsToString(&$data, $key = 'xtform')
	{
		$params = $data[$key];
		unset($data[$key]);

		// Cleaning annoying spaces
		$params = array_map('trim', $params);

		$registry = new JRegistry;
		$registry->loadArray($params);
		$params = (string) $registry;

		return $params;
	}

	/**
	 * paramsToRegistry
	 *
	 * @param   array   &$record  Param
	 * @param   string  $key      Param
	 *
	 * @return  void
	 */
	public static function paramsToRegistry(&$record, $key = 'params')
	{
		$params = $record->$key;
		unset($record->$key);

		// Convert the params field to an array.
		$registry = new JRegistry;
		$registry->loadString($params);

		return $registry;
	}
}
