/**
 * @package     Extly.Library
 * @subpackage  lib_extly - Extly Framework
 * 
 * @author      Prieco S.A.
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL 
 * @link        http://www.extly.com http://support.extly.com 
 */

/*jslint plusplus: true, browser: true, sloppy: true */
/*global jQuery, Request, Joomla, alert, Backbone */

require([
	'extlycore'
], function( ) {
	
	var TaskView = Backbone.View.extend({
	    events: {
	        'change #minute2': 'onChangeMhdmd',
	        'change #hour2': 'onChangeMhdmd',
	        'change #day2': 'onChangeMhdmd',
	        'change #month2': 'onChangeMhdmd',
	        'change #weekday2': 'onChangeMhdmd'
	    },
	    
	    initialize: function () {
	    },	    
	
	    onChangeMhdmd: function onChangeMhdmd() {
	        var minute2 = this.$('#minute2').val();
	        var hour2 = this.$('#hour2').val();
	        var day2 = this.$('#day2').val();
	        var month2 = this.$('#month2').val();
	        var weekday2 = this.$('#weekday2').val();
	        
	        var mhdmd = minute2 + " " + hour2 + " " + day2 + " " + month2 + " " + weekday2;
	        this.$('#unix_mhdmd').val(mhdmd);
	    }
	
	});
	
	// Initialize the application view
	var taskView = new TaskView({ el:jQuery("#adminForm") });

});