<?php

/**
 * @package     Extly.Library
 * @subpackage  lib_extly - Extly Framework
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * SchedulerControllerTasks
 *
 * @package     Extly.Library
 * @subpackage  lib_extly
 * @since       1.0
*/
class SchedulerControllerTasks extends FOFController
{

	/**
	 * Public constructor of the Controller class
	 *
	 * @param   array  $config  Optional configuration parameters
	 */
	public function __construct($config = array())
	{
		parent::__construct($config);
		$this->paths = array();
		$this->paths['view'] = array(EPATH_SCHEDULER_VIEWS);
	}

	/**
	 * onBeforeBrowse.
	 *
	 * @return	void
	 */
	protected function onBeforeBrowse()
	{
		$this->setThisViewName('SchedulerViewTasks');
		return true;
	}

	/**
	 * onBeforeAdd.
	 *
	 * @return	void
	 */
	protected function onBeforeAdd()
	{
		$this->setThisViewName('SchedulerViewTask');
		return true;
	}

	/**
	 * onBeforeEdit.
	 *
	 * @return	void
	 */
	protected function onBeforeEdit()
	{
		$this->setThisViewName('SchedulerViewTask');
		return true;
	}

	/**
	 * authorizedCopy.
	 *
	 * @param   object  &$model  Param
	 *
	 * @return	object
	 *
	 * @since	1.5
	 */
	public function authorizedCopy(&$model)
	{
		$model->setIDsFromRequest();
		$id = $model->getId();

		$item = $model->getItem();
		$key = $item->getKeyName();

		if ($item->$key == $id)
		{
			$item->id = 0;
			$item->title = 'Copy of ' . $item->title;
			$item->ordering = 0;
			$item->created = '0000-00-00 00:00:00';
			$item->created_by = 0;
			$item->modified = '0000-00-00 00:00:00';
			$item->modified_by = 0;
			$item->checked_out_time = '0000-00-00 00:00:00';
			$item->checked_out = 0;
			$item->published = 0;
		}
		$status = $model->save($item);

		return $status;
	}

}
