<?php

/**
 * @package     Extly.Library
 * @subpackage  lib_extly - Extly Framework
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * SchedulerHelperSelect
 *
 * @package     Extly.Library
 * @subpackage  lib_extly
 * @since       1.0
*/
class SchedulerHelperSelect
{

	/**
	 * tasks.
	 *
	 * @param   string  $selected  The key that is selected
	 * @param   string  $id        The id for the field
	 * @param   array   $attribs   Additional HTML attributes for the <select> tag
	 * @param   array   &$config   Config
	 *
	 * @return  string  HTML
	 *
	 * @since   3.0
	 */
	public static function tasks($selected = null, $id = 'category', $attribs = array(), &$config = null)
	{
		$prefix = self::_getPrefix($config);
		$items = FOFModel::getTmpInstance('Tasks',  $prefix . 'Model', $config)
		->nobeunpub(1)
		->getItemList(true);

		$options = array();
		$options[] = JHTML::_('select.option', 0, '- ' . JText::_('SCHEDULER_COMMON_TASK_SELECT_LABEL') . ' -');
		if (count($items))
		{
			foreach ($items as $item)
			{
				$options[] = JHTML::_('select.option', $item->id, $item->title);
			}
		}
		return self::genericlist($options, $id, $attribs, $selected, $id);
	}

	/**
	 * categories.
	 *
	 * @param   string  $selected  The key that is selected
	 * @param   string  $id        The id for the field
	 * @param   array   $attribs   Additional HTML attributes for the <select> tag*
	 * @param   array   &$config   Config
	 *
	 * @return  string  HTML
	 *
	 * @since   3.0
	 */
	public static function categories($selected = null, $id = 'category', $attribs = array(), &$config = null)
	{
		$prefix = self::_getPrefix($config);
		$items = FOFModel::getTmpInstance('Categories', $prefix . 'Model', $config)
		->getItemList(true);

		$options = array();
		$options[] = JHTML::_('select.option', 0, '- ' . JText::_('LBL_CATEGORY_SELECT') . ' -');
		if (count($items))
		{
			foreach ($items as $item)
			{
				$options[] = JHTML::_('select.option', $item->id, $item->title);
			}
		}
		return self::genericlist($options, $id, $attribs, $selected, $id);
	}

	/**
	 * minute2.
	 *
	 * @param   string  $selected  The key that is selected
	 * @param   string  $id        The id for the field
	 * @param   array   $attribs   Additional HTML attributes for the <select> tag*
	 *
	 * @return  string  HTML
	 *
	 * @since   3.0
	 */
	public static function minute2($selected = null, $id = 'minute2', $attribs = array())
	{
		$options = array();
		$options[] = JHTML::_('select.option', '*', 'Every Minute');
		$options[] = JHTML::_('select.option', '0,5,10,15,20,25,30,35,40,45,50,55', 'Every Five Minutes');
		$options[] = JHTML::_('select.option', '0,10,20,30,40,50', 'Every Ten Minutes');
		$options[] = JHTML::_('select.option', '0,15,30,45', 'Every Fifteen Minutes');
		$options[] = JHTML::_('select.option', '0', '0');
		$options[] = JHTML::_('select.option', '1', '1');
		$options[] = JHTML::_('select.option', '2', '2');
		$options[] = JHTML::_('select.option', '3', '3');
		$options[] = JHTML::_('select.option', '4', '4');
		$options[] = JHTML::_('select.option', '5', '5');
		$options[] = JHTML::_('select.option', '6', '6');
		$options[] = JHTML::_('select.option', '7', '7');
		$options[] = JHTML::_('select.option', '8', '8');
		$options[] = JHTML::_('select.option', '9', '9');
		$options[] = JHTML::_('select.option', '10', '10');
		$options[] = JHTML::_('select.option', '11', '11');
		$options[] = JHTML::_('select.option', '12', '12');
		$options[] = JHTML::_('select.option', '13', '13');
		$options[] = JHTML::_('select.option', '14', '14');
		$options[] = JHTML::_('select.option', '15', '15');
		$options[] = JHTML::_('select.option', '16', '16');
		$options[] = JHTML::_('select.option', '17', '17');
		$options[] = JHTML::_('select.option', '18', '18');
		$options[] = JHTML::_('select.option', '19', '19');
		$options[] = JHTML::_('select.option', '20', '20');
		$options[] = JHTML::_('select.option', '21', '21');
		$options[] = JHTML::_('select.option', '22', '22');
		$options[] = JHTML::_('select.option', '23', '23');
		$options[] = JHTML::_('select.option', '24', '24');
		$options[] = JHTML::_('select.option', '25', '25');
		$options[] = JHTML::_('select.option', '26', '26');
		$options[] = JHTML::_('select.option', '27', '27');
		$options[] = JHTML::_('select.option', '28', '28');
		$options[] = JHTML::_('select.option', '29', '29');
		$options[] = JHTML::_('select.option', '30', '30');
		$options[] = JHTML::_('select.option', '31', '31');
		$options[] = JHTML::_('select.option', '32', '32');
		$options[] = JHTML::_('select.option', '33', '33');
		$options[] = JHTML::_('select.option', '34', '34');
		$options[] = JHTML::_('select.option', '35', '35');
		$options[] = JHTML::_('select.option', '36', '36');
		$options[] = JHTML::_('select.option', '37', '37');
		$options[] = JHTML::_('select.option', '38', '38');
		$options[] = JHTML::_('select.option', '39', '39');
		$options[] = JHTML::_('select.option', '40', '40');
		$options[] = JHTML::_('select.option', '41', '41');
		$options[] = JHTML::_('select.option', '42', '42');
		$options[] = JHTML::_('select.option', '43', '43');
		$options[] = JHTML::_('select.option', '44', '44');
		$options[] = JHTML::_('select.option', '45', '45');
		$options[] = JHTML::_('select.option', '46', '46');
		$options[] = JHTML::_('select.option', '47', '47');
		$options[] = JHTML::_('select.option', '48', '48');
		$options[] = JHTML::_('select.option', '49', '49');
		$options[] = JHTML::_('select.option', '50', '50');
		$options[] = JHTML::_('select.option', '51', '51');
		$options[] = JHTML::_('select.option', '52', '52');
		$options[] = JHTML::_('select.option', '53', '53');
		$options[] = JHTML::_('select.option', '54', '54');
		$options[] = JHTML::_('select.option', '55', '55');
		$options[] = JHTML::_('select.option', '56', '56');
		$options[] = JHTML::_('select.option', '57', '57');
		$options[] = JHTML::_('select.option', '58', '58');
		$options[] = JHTML::_('select.option', '59', '59');

		return self::genericlist($options, $id, $attribs, $selected, $id);
	}

	/**
	 * hour2.
	 *
	 * @param   string  $selected  The key that is selected
	 * @param   string  $id        The id for the field
	 * @param   array   $attribs   Additional HTML attributes for the <select> tag*
	 *
	 * @return  string  HTML
	 *
	 * @since   3.0
	 */
	public static function hour2($selected = null, $id = 'hour2', $attribs = array())
	{
		$options = array();
		$options[] = JHTML::_('select.option', '*', 'Every Hour');
		$options[] = JHTML::_('select.option', '0,4,8,12,16,20', 'Every Four Hours');
		$options[] = JHTML::_('select.option', '0,6,12,18', 'Every Six Hours');
		$options[] = JHTML::_('select.option', '0', '12 AM/Midnight');
		$options[] = JHTML::_('select.option', '1', '1 = 1 AM');
		$options[] = JHTML::_('select.option', '2', '2 = 2 AM');
		$options[] = JHTML::_('select.option', '3', '3 = 3 AM');
		$options[] = JHTML::_('select.option', '4', '4 = 4 AM');
		$options[] = JHTML::_('select.option', '5', '5 = 5 AM');
		$options[] = JHTML::_('select.option', '6', '6 = 6 AM');
		$options[] = JHTML::_('select.option', '7', '7 = 7 AM');
		$options[] = JHTML::_('select.option', '8', '8 = 8 AM');
		$options[] = JHTML::_('select.option', '9', '9 = 9 AM');
		$options[] = JHTML::_('select.option', '10', '10 = 10 AM');
		$options[] = JHTML::_('select.option', '11', '11 = 11 AM');
		$options[] = JHTML::_('select.option', '12', '12 = 12 PM/Noon');
		$options[] = JHTML::_('select.option', '13', '13 = 1 PM');
		$options[] = JHTML::_('select.option', '14', '14 = 2 PM');
		$options[] = JHTML::_('select.option', '15', '15 = 3 PM');
		$options[] = JHTML::_('select.option', '16', '16 = 4 PM');
		$options[] = JHTML::_('select.option', '17', '17 = 5 PM');
		$options[] = JHTML::_('select.option', '18', '18 = 6 PM');
		$options[] = JHTML::_('select.option', '19', '19 = 7 PM');
		$options[] = JHTML::_('select.option', '20', '20 = 8 PM');
		$options[] = JHTML::_('select.option', '21', '21 = 9 PM');
		$options[] = JHTML::_('select.option', '22', '22 = 10 PM');
		$options[] = JHTML::_('select.option', '23', '23 = 11 PM');

		return self::genericlist($options, $id, $attribs, $selected, $id);
	}

	/**
	 * day2.
	 *
	 * @param   string  $selected  The key that is selected
	 * @param   string  $id        The id for the field
	 * @param   array   $attribs   Additional HTML attributes for the <select> tag*
	 *
	 * @return  string  HTML
	 *
	 * @since   3.0
	 */
	public static function day2($selected = null, $id = 'day2', $attribs = array())
	{
		$options = array();
		$options[] = JHTML::_('select.option', '*', 'Every Day');
		$options[] = JHTML::_('select.option', '1', '1');
		$options[] = JHTML::_('select.option', '2', '2');
		$options[] = JHTML::_('select.option', '3', '3');
		$options[] = JHTML::_('select.option', '4', '4');
		$options[] = JHTML::_('select.option', '5', '5');
		$options[] = JHTML::_('select.option', '6', '6');
		$options[] = JHTML::_('select.option', '7', '7');
		$options[] = JHTML::_('select.option', '8', '8');
		$options[] = JHTML::_('select.option', '9', '9');
		$options[] = JHTML::_('select.option', '10', '10');
		$options[] = JHTML::_('select.option', '11', '11');
		$options[] = JHTML::_('select.option', '12', '12');
		$options[] = JHTML::_('select.option', '13', '13');
		$options[] = JHTML::_('select.option', '14', '14');
		$options[] = JHTML::_('select.option', '15', '15');
		$options[] = JHTML::_('select.option', '16', '16');
		$options[] = JHTML::_('select.option', '17', '17');
		$options[] = JHTML::_('select.option', '18', '18');
		$options[] = JHTML::_('select.option', '19', '19');
		$options[] = JHTML::_('select.option', '20', '20');
		$options[] = JHTML::_('select.option', '21', '21');
		$options[] = JHTML::_('select.option', '22', '22');
		$options[] = JHTML::_('select.option', '23', '23');
		$options[] = JHTML::_('select.option', '24', '24');
		$options[] = JHTML::_('select.option', '25', '25');
		$options[] = JHTML::_('select.option', '26', '26');
		$options[] = JHTML::_('select.option', '27', '27');
		$options[] = JHTML::_('select.option', '28', '28');
		$options[] = JHTML::_('select.option', '29', '29');
		$options[] = JHTML::_('select.option', '30', '30');
		$options[] = JHTML::_('select.option', '31', '31');

		return self::genericlist($options, $id, $attribs, $selected, $id);
	}

	/**
	 * month2.
	 *
	 * @param   string  $selected  The key that is selected
	 * @param   string  $id        The id for the field
	 * @param   array   $attribs   Additional HTML attributes for the <select> tag*
	 *
	 * @return  string  HTML
	 *
	 * @since   3.0
	 */
	public static function month2($selected = null, $id = 'month2', $attribs = array())
	{
		$options = array();
		$options[] = JHTML::_('select.option', '*', 'Every Month');
		$options[] = JHTML::_('select.option', '1', 'January');
		$options[] = JHTML::_('select.option', '2', 'February');
		$options[] = JHTML::_('select.option', '3', 'March');
		$options[] = JHTML::_('select.option', '4', 'April');
		$options[] = JHTML::_('select.option', '5', 'May');
		$options[] = JHTML::_('select.option', '6', 'June');
		$options[] = JHTML::_('select.option', '7', 'July');
		$options[] = JHTML::_('select.option', '8', 'August');
		$options[] = JHTML::_('select.option', '9', 'September');
		$options[] = JHTML::_('select.option', '10', 'October');
		$options[] = JHTML::_('select.option', '11', 'November');
		$options[] = JHTML::_('select.option', '12', 'December');

		return self::genericlist($options, $id, $attribs, $selected, $id);
	}

	/**
	 * weekday2.
	 *
	 * @param   string  $selected  The key that is selected
	 * @param   string  $id        The id for the field
	 * @param   array   $attribs   Additional HTML attributes for the <select> tag*
	 *
	 * @return  string  HTML
	 *
	 * @since   3.0
	 */
	public static function weekday2($selected = null, $id = 'weekday2', $attribs = array())
	{
		$options = array();
		$options[] = JHTML::_('select.option', '*', 'Every Weekday');
		$options[] = JHTML::_('select.option', '0', 'Sunday');
		$options[] = JHTML::_('select.option', '1', 'Monday');
		$options[] = JHTML::_('select.option', '2', 'Tuesday');
		$options[] = JHTML::_('select.option', '3', 'Wednesday');
		$options[] = JHTML::_('select.option', '4', 'Thursday');
		$options[] = JHTML::_('select.option', '5', 'Friday');
		$options[] = JHTML::_('select.option', '6', 'Saturday');

		return self::genericlist($options, $id, $attribs, $selected, $id);
	}

	/**
	 * getCategoryName.
	 *
	 * @param   string  $category_id  Param
	 * @param   array   &$config      Param
	 *
	 * @return  string
	 *
	 * @since   3.0
	 */
	public static function getCategoryName($category_id, &$config)
	{
		$prefix = self::_getPrefix($config);
		$categories = null;

		if (is_null($categories))
		{
			$items = FOFModel::getTmpInstance('Categories', $prefix . 'Model', $config)
			->published(1)
			->getItemList(true);

			if (count($items))
			{
				foreach ($items as $item)
				{
					$categories[$item->id] = $item->title;
				}
			}
			else
			{
				return '?';
			}
		}

		if (array_key_exists($category_id, $categories))
		{
			return $categories[$category_id];
		}
		else
		{
			return '?';
		}
	}

	/**
	 * genericlist.
	 *
	 * @param   array   $list      The key that is selected
	 * @param   string  $name      The name for the field
	 * @param   array   $attribs   Additional HTML attributes for the <select> tag*
	 * @param   string  $selected  The key that is selected
	 * @param   string  $idTag     The id for the field
	 *
	 * @return  string  HTML
	 *
	 * @since   3.0
	 */
	protected static function genericlist($list, $name, $attribs, $selected, $idTag)
	{
		if (empty($attribs))
		{
			$attribs = null;
		}
		else
		{
			$temp = '';
			foreach ($attribs as $key => $value)
			{
				$temp .= $key . ' = "' . $value . '"';
			}
			$attribs = $temp;
		}

		return JHTML::_('select.genericlist', $list, $name, $attribs, 'value', 'text', $selected, $idTag);
	}

	/**
	 * tasktypes.
	 *
	 * @param   string  $selected  The key that is selected
	 * @param   string  $id        The id for the field
	 * @param   array   $attribs   Additional HTML attributes for the <select> tag*
	 *
	 * @return  string  HTML
	 *
	 * @since   3.0
	 */
	public static function tasktypes($selected = null, $id = 'type', $attribs = array() )
	{
		$options = array();
		$options[] = JHTML::_('select.option', '', '- ' . JText::_('SCHEDULER_TASKS_TYPE_SELECT') . ' -');

		$options[] = JHTML::_('select.option', '1', JText::_('SCHEDULER_TASKS_TYPE_1'));
		$options[] = JHTML::_('select.option', '2', JText::_('SCHEDULER_TASKS_TYPE_2'));
		$options[] = JHTML::_('select.option', '3', JText::_('SCHEDULER_TASKS_TYPE_3'));
		$options[] = JHTML::_('select.option', '4', JText::_('SCHEDULER_TASKS_TYPE_4'));
		$options[] = JHTML::_('select.option', '5', JText::_('SCHEDULER_TASKS_TYPE_5'));
		$options[] = JHTML::_('select.option', '6', JText::_('SCHEDULER_TASKS_TYPE_6'));
		$options[] = JHTML::_('select.option', '7', JText::_('SCHEDULER_TASKS_TYPE_7'));

		return self::genericlist($options, $id, $attribs, $selected, $id);
	}

	/**
	 * published.
	 *
	 * @param   string  $selected  The key that is selected
	 * @param   string  $id        The id for the field
	 * @param   array   $attribs   Additional HTML attributes for the <select> tag*
	 *
	 * @return  string  HTML
	 *
	 * @since   3.0
	 */
	public static function published($selected = null, $id = 'enabled', $attribs = array())
	{
		$options = array();
		$options[] = JHTML::_('select.option', '', '- ' . JText::_('SCHEDULER_COMMON_STATE_SELECT_LABEL') . ' -');
		$options[] = JHTML::_('select.option', 1, JText::_('JPUBLISHED'));
		$options[] = JHTML::_('select.option', 0, JText::_('JUNPUBLISHED'));

		return self::genericlist($options, $id, $attribs, $selected, $id);
	}

	/**
	 * _getPrefix.
	 *
	 * @param   array  &$config  Param
	 *
	 * @return  string
	 *
	 * @since   3.0
	 */
	private static function _getPrefix(&$config)
	{
		$option = $config['option'];
		$prefix = str_replace('com_', '', $option);

		return $prefix;
	}

}
