<?php

/**
 * @package     Extly.Library
 * @subpackage  lib_extly - Extly Framework
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * SchedulerModelCategories
 *
 * @package     Extly.Library
 * @subpackage  lib_extly
 * @since       1.0
 */
class SchedulerModelCategories extends FOFModel
{

	/**
	 * buildQuery
	 *
	 * @param   bool    $overrideLimits  Param
	 * @param   string  $option          Param
	 *
	 * @return	FOFQuery
	 */
	public function buildQuery($overrideLimits = false, $option = null)
	{
		$db = $this->getDbo();

		$query = FOFQueryAbstract::getNew($db)
			->select('*')
			->from($db->qn('#__categories'));

		$query->where($db->qn('extension') . ' = ' . $db->q('com_' . $option));

		$fltTitle	= $this->getState('title', null, 'string');
		if ($fltTitle)
		{
			$query->where($db->qn('title') . ' LIKE ' . $db->q("%$fltTitle%"));
		}

		$fltPublished	= $this->getState('published', null, 'cmd');
		if ($fltPublished != '')
		{
			$query->where($db->qn('published') . ' = ' . $db->q($fltPublished));
		}

		$fltFrontend	= $this->getState('frontend', 0, 'int');
		if ($fltFrontend != 0)
		{
			$order = 'ordering';
			$dir = 'ASC';
		}
		else
		{
			$order = $this->getState('filter_order', 'id', 'cmd');
			if (!in_array($order, array_keys($this->getTable()->getData())))
			{
				$order = 'id';
			}
			$dir = $this->getState('filter_order_Dir', 'DESC', 'cmd');
		}

		$query->order($order . ' ' . $dir);

		return $query;
	}
}
