<?php

/**
 * @package     Extly.Library
 * @subpackage  lib_extly - Extly Framework
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

JLoader::import('extly.scheduler.backend.helpers.taskmanager');

$editor = JFactory::getEditor();

$this->loadHelper('select');

$option = $this->config['option'];

$isConfigurable = ((!empty($this->item->id)) && (TaskManagerHelper::isConfigurablePlugin($this->item->type)));
$returnurl = null;
if ($isConfigurable)
{
	$returnurl = TaskManagerHelper::getConfigurationUrl($this->item->type, $this->item->file, $option, $this->item->id);
}

if (!$this->item->unix_mhdmd)
{
	$this->item->unix_mhdmd = '* * * * *';
}

$parts = explode(' ', $this->item->unix_mhdmd);
if (count($parts) == 5)
{
	$minute2 = $parts[0];
	$hour2 = $parts[1];
	$day2 = $parts[2];
	$month2 = $parts[3];
	$weekday2 = $parts[4];
}
else
{
	$minute2 = null;
	$hour2 = null;
	$day2 = null;
	$month2 = null;
	$weekday2 = null;
}

?>

<div class="extly">

	<form name="adminForm" id="adminForm" action="index.php<?php
	if ($returnurl)
	{
		echo '?returnurl=' . base64_encode($returnurl);
	}
	?>" method="post" class="form form-horizontal">
		<input type="hidden" name="option" value="<?php echo $option; ?>" /> <input type="hidden" name="view" value="tasks" /> <input type="hidden" name="task" value="" /> <input type="hidden" name="id" value="<?php echo $this->item->id ?>" /> <input
			type="hidden" name="<?php echo JFactory::getSession()->getFormToken();?>" value="1" />

		<div class="row-fluid">

			<div class="span6">

				<div class="control-group">
					<label for="title" class="control-label"><?php echo JText::_('SCHEDULER_TASKS_FIELD_TITLE'); ?> </label>
					<div class="controls">
						<input type="text" name="title" id="title" value="<?php echo $this->item->title ?>">
					</div>
				</div>

				<div class="control-group">
					<label for="catid" class="control-label"><?php echo JText::_('LBL_TASKS_CATEGORY'); ?> </label>
					<div class="controls">
						<?php echo SchedulerHelperSelect::categories($this->item->catid, 'catid', null, $this->config) ?>
					</div>
				</div>

				<div class="control-group">
					<label for="type" class="control-label"><?php echo JText::_('SCHEDULER_TASKS_FIELD_TYPE'); ?> </label>
					<div class="controls">
						<?php echo SchedulerHelperSelect::tasktypes($this->item->type, 'type') ?>
					</div>
				</div>

				<div class="control-group">
					<label for="file" class="control-label"><?php echo JText::_('SCHEDULER_TASKS_FIELD_FILE'); ?> </label>
					<div class="controls">
						<input type="text" name="file" id="file" value="<?php echo $this->item->file ?>"> <a class="btn<?php
						if (!$isConfigurable)
						{
							echo ' disabled';
						}
						?>" type="button" data-placement="top" rel="tooltip"
							data-original-title="<?php echo JText::_('SCHEDULER_TASKS_FIELD_PLUGIN_CONFIGURE_TOOLTIP'); ?>" onclick="<?php
						if ($isConfigurable)
						{
							echo 'Joomla.submitbutton(\'cancel\')';
						}
						else
						{
							echo 'return true;';
						}
						?>" href="#"> <?php echo JText::_('SCHEDULER_TASKS_FIELD_PLUGIN_CONFIGURE'); ?>
						</a>
					</div>
				</div>

				<div class="control-group">
					<label for="minute2" class="control-label"><?php echo JText::_('SCHEDULER_TASKS_FIELD_MINUTE2'); ?> </label>
					<div class="controls">
						<?php echo SchedulerHelperSelect::minute2($minute2, 'minute2') ?>
					</div>
				</div>

				<div class="control-group">
					<label for="hour2" class="control-label"><?php echo JText::_('SCHEDULER_TASKS_FIELD_HOUR2'); ?> </label>
					<div class="controls">
						<?php echo SchedulerHelperSelect::hour2($hour2, 'hour2') ?>
					</div>
				</div>

				<div class="control-group">
					<label for="day2" class="control-label"><?php echo JText::_('SCHEDULER_TASKS_FIELD_DAY2'); ?> </label>
					<div class="controls">
						<?php echo SchedulerHelperSelect::day2($day2, 'day2') ?>
					</div>
				</div>

				<div class="control-group">
					<label for="month2" class="control-label"><?php echo JText::_('SCHEDULER_TASKS_FIELD_MONTH2'); ?> </label>
					<div class="controls">
						<?php echo SchedulerHelperSelect::month2($month2, 'month2') ?>
					</div>
				</div>

				<div class="control-group">
					<label for="weekday2" class="control-label"><?php echo JText::_('SCHEDULER_TASKS_FIELD_WEEKDAY2'); ?> </label>
					<div class="controls">
						<?php echo SchedulerHelperSelect::weekday2($weekday2, 'weekday2') ?>
					</div>
				</div>

				<div class="control-group">
					<label for="unix_mhdmd" class="control-label"><?php echo JText::_('SCHEDULER_TASKS_FIELD_UNIX_MHDMD'); ?> </label>
					<div class="controls">
						<input type="text" name="unix_mhdmd" id="unix_mhdmd" value="<?php echo $this->item->unix_mhdmd; ?>">
					</div>
				</div>

				<div class="control-group">
					<label for="published" class="control-label"><?php echo JText::_('JPUBLISHED'); ?> </label>
					<div class="controls">
						<?php echo EHtmlSelect::booleanlist('published', null, $this->item->published); ?>
					</div>
				</div>

				<div class="control-group">
					<label for="enabledlogs" class="control-label"><?php echo JText::_('SCHEDULER_TASKS_FIELD_ENABLEDLOGS'); ?> </label>
					<div class="controls">
						<?php echo EHtmlSelect::booleanlist('enabledlogs', null, $this->item->enabledlogs); ?>
					</div>
				</div>

			</div>

			<div class="span6">

				<div class="control-group">
					<label for="title" class="control-label"><?php echo JText::_('SCHEDULER_TASK_FIELD_LAST_RUN_LABEL'); ?> </label>
					<div class="controls">
						<input type="text" name="disabled_last_run" id="disabled_last_run" class="disabled" value="<?php echo ($this->item->last_run ? 'OK!' : 'Error'); ?>" disabled>
					</div>
				</div>

				<div class="control-group">
					<label for="title" class="control-label"><?php echo JText::_('SCHEDULER_HEADING_RAN_AT'); ?> </label>
					<div class="controls">
						<input type="text" name="disabled_ran_at" id="disabled_ran_at" class="disabled" value="<?php echo $this->item->ran_at; ?>" disabled>
					</div>
				</div>

				<div class="control-group">
					<label for="catid" class="control-label"><?php echo JText::_('SCHEDULER_TASK_FIELD_LAST_LOG_LABEL'); ?> </label>
					<div class="controls">
						<textarea name="disabled_log_text" id="disabled_log_text" class="disabled" rows="10" disabled>
							<?php echo $this->item->log_text; ?>
						</textarea>
					</div>
				</div>

			</div>

		</div>
	</form>
</div>
