<?php

/**
 * @package     Extly.Library
 * @subpackage  lib_extly - Extly Framework
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('EXTLY_VERSION') or die('Restricted access');

JHtml::_('behavior.formvalidation');

// JHtml::addIncludePath(JPATH_COMPONENT.'/helpers/html');

// JHtml::_('behavior.tooltip');
// JHtml::_('formbehavior.chosen', 'select');

$this->fieldsets = $this->form->getFieldsets('params');
$this->rulefieldsets = $this->form->getFieldsets('ruleparams');
$this->allfieldsets = array_merge($this->fieldsets, $this->rulefieldsets);

?>
<script type="text/javascript">

	Joomla.submitbutton = function(task)
	{
		if (task == 'xlugin.cancel' || document.formvalidator.isValid(document.id('style-form'))) {
			Joomla.submitform(task, document.getElementById('style-form'));
		};
	};

</script>

<div class="extly">
	<div class="extly extly-html extly-body">

		<form action="<?php echo JRoute::_(
				'index.php?option=com_' . $this->option .
				'&layout=edit&extension_id=' . (int) $this->item->extension_id .
				'&rule_id=' . (int) $this->rule_id .
				'&nonfof=1');
		?>" method="post" name="adminForm" id="style-form"
			class="form-validate form-horizontal">
			<fieldset>
				<ul class="nav nav-tabs">
					<li class="active"><a href="#details" data-toggle="tab"><?php echo JText::_('JDETAILS');?> </a></li>
					<?php
					if (count($this->allfieldsets))
					{
						foreach ($this->allfieldsets as $fieldset)
						{
							$label = !empty($fieldset->label) ? JText::_($fieldset->label) : JText::_('COM_PLUGINS_' . $fieldset->name . '_FIELDSET_LABEL');
							?>
					<li><a href="#options-<?php echo $fieldset->name; ?>" data-toggle="tab"><?php echo $label ?> </a></li>
					<?php
						}
					}
					?>
				</ul>

				<div class="tab-content">
					<div class="tab-pane active" id="details">
						<div class="control-group">
							<div class="control-label">
								<?php echo $this->form->getLabel('name'); ?>
							</div>
							<div class="controls">
								<?php echo $this->form->getInput('name'); ?>
								<span class="readonly plg-name"><?php echo JText::_($this->item->name);?> </span>
							</div>
						</div>
						<div class="control-group">
							<div class="control-label">
								<?php echo $this->form->getLabel('enabled'); ?>
							</div>
							<div class="controls">
								<?php echo $this->form->getInput('enabled'); ?>
							</div>
						</div>
						<div class="control-group">
							<div class="control-label">
								<?php echo $this->form->getLabel('access'); ?>
							</div>
							<div class="controls">
								<?php echo $this->form->getInput('access'); ?>
							</div>
						</div>
						<div class="control-group">
							<div class="control-label">
								<?php echo $this->form->getLabel('ordering'); ?>
							</div>
							<div class="controls">
								<?php echo $this->form->getInput('ordering'); ?>
							</div>
						</div>
						<div class="control-group">
							<div class="control-label">
								<?php echo $this->form->getLabel('folder'); ?>
							</div>
							<div class="controls">
								<?php echo $this->form->getInput('folder'); ?>
							</div>
						</div>
						<div class="control-group">
							<div class="control-label">
								<?php echo $this->form->getLabel('element'); ?>
							</div>
							<div class="controls">
								<?php echo $this->form->getInput('element'); ?>
							</div>
						</div>
						<?php
						if ($this->item->extension_id)
						{
							?>
						<div class="control-group">
							<div class="control-label">
								<?php echo $this->form->getLabel('extension_id'); ?>
							</div>
							<div class="controls">
								<?php echo $this->form->getInput('extension_id'); ?>
							</div>
						</div>
						<?php
						}
						?>
						<!-- Plugin metadata -->
						<?php
						if ($this->item->xml)
						{
							if ($text = trim($this->item->xml->description))
							{
								?>
						<div class="control-group">
							<label id="jform_extdescription-lbl" class="control-label"> <?php echo JText::_('JGLOBAL_DESCRIPTION'); ?>
							</label>
							<div class="controls disabled">
								<?php echo JText::_($text); ?>
							</div>
						</div>
						<?php
							}
						}
						else
						{
							?>
						<div class="alert alert-error">
							<?php echo JText::_('COM_PLUGINS_XML_ERR'); ?>
						</div>
						<?php
						}
						?>
					</div>
					<?php echo $this->loadTemplate('options'); ?>
				</div>
			</fieldset>
			<input type="hidden" name="task" value="" />
			<?php
			echo JHtml::_('form.token');
			?>
		</form>

	</div>
</div>
