<?php

/**
 * @package     Extly.Library
 * @subpackage  lib_extly - Extly Framework
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('EXTLY_VERSION') or die('Restricted access');

/**
 * View to edit a plugin.
 *
 * @package     Extly.Library
 * @subpackage  lib_extly - Extly Framework
 * @since       1.5
*/
class XluginsViewXlugin extends JViewLegacy
{
	protected $item;

	protected $form;

	protected $state;

	/**
	 * display.
	 *
	 * @param   string  $tpl  Param
	 *
	 * @return	void
	 *
	 * @since	1.5
	 */
	public function display($tpl = null)
	{
		$this->state	= $this->get('State');

		$itemModel = $this->getModel();
		$pk = (int) $itemModel->getState('plugin.id');
		$rule_id = JRequest::getInt('rule_id');
		$this->assignRef('rule_id', $rule_id);
		$this->item	= $itemModel->getItem($pk, $rule_id);

		$this->form		= $this->get('Form');

		// Check for errors.
		if (count($errors = $this->get('Errors')))
		{
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}

		$this->addToolbar();

		Extly::loadStyle();
		JHtml::stylesheet('com_' . $this->option . '/style.css', false, true);
		Extly::initApp();

		$this->addTemplatePath(EPATH_XLUGINS_VIEWS . '/xlugin/tmpl');

		parent::display($tpl);
	}

	/**
	 * Add the page title and toolbar.
	 *
	 * @return	void
	 *
	 * @since	1.6
	 */
	protected function addToolbar()
	{
		JFactory::getApplication()->input->set('hidemainmenu', true);

		$user  = JFactory::getUser();
		$canDo = PluginsHelper::getActions();

		JToolbarHelper::title(JText::sprintf('COM_PLUGINS_MANAGER_PLUGIN', JText::_($this->item->name)), 'plugin');

		// If not checked out, can save the item.
		if ($canDo->get('core.edit'))
		{
			JToolbarHelper::apply('xlugin.apply');
			JToolbarHelper::save('xlugin.save');
		}
		JToolbarHelper::cancel('xlugin.cancel', 'JTOOLBAR_CLOSE');
		JToolbarHelper::divider();

		// Get the help information for the plugin item.
		$lang = JFactory::getLanguage();

		$help = $this->get('Help');
		if ($lang->hasKey($help->url))
		{
			$debug = $lang->setDebug(false);
			$url = JText::_($help->url);
			$lang->setDebug($debug);
		}
		else
		{
			$url = null;
		}
		JToolbarHelper::help($help->key, false, $url);
	}
}
